require({cache:{
'url:dojoe/ssd/quickedit/templates/SmartTextOptions.html':"<div style=\"height:100%;width:100%;\"> \r\n\t<div data-dojo-attach-point=\"optionsGridNode\"></div>\t\r\n</div>\t"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/SmartTextOptions", [
	"dojo/_base/declare",
	"dojo/_base/lang",
	"dijit/_WidgetBase",
	"dijit/_TemplatedMixin",
	"dojo/text!./templates/SmartTextOptions.html",
	"dojoe/tablelayout/TableLayout",
	'dijit/form/TextBox',
	"dijit/form/FilteringSelect",
	"dojo/store/Memory",
	"dijit/form/NumberSpinner",
	"dijit/form/CheckBox"
], function (declare,lang,_WidgetBase, _TemplatedMixin, template, TableLayout,TextBox,FilteringSelect,Memory, NumberSpinner, CheckBox) {
	 return declare("dojoe.ssd.quickedit.SmartTextOptions", [_WidgetBase, _TemplatedMixin], {
		templateString: template,
		optionsList: null,
		optionsGrid_data: null,
		noOptions: false,

		constructor: function (optionsGrid_data) {
			//lang.mixin (this, props);
			this.optionsGrid_data = optionsGrid_data;
		},

		createOptionsGrid: function () {
			console.log ("DatasetDetails.createOptionsGrid... BEGIN");
			
			var datasetTotalItemsCount = 10;
			if(quickEdit.datasetHandle) {
				datasetTotalItemsCount = quickEdit.datasetHandle.getItemCount();
			}
			console.debug('***datasetTotalItemsCount***', datasetTotalItemsCount);
			
			console.log("this.optionsGrid_data -->");
			console.dir(this.optionsGrid_data);
			console.dir(dashletConfig.optionNameArr);
			console.dir(dashletConfig.optionValueArr);
			
			//Create the options grid
			if(!this.optionsGrid_data){
				this.optionsGrid_data =  { "identifier": "id", "idAttribute":"id", "items": [], "itemsUI": []};
			}else{
				this.optionsGrid_data.itemsUI = new Array();
				var attribName;
				for(var i=0;i<this.optionsGrid_data.items.length;i++){
					//check whether option is in preferences
					for(var j=0;j<dashletConfig.optionNameArr.length;j++){
						attribName = dashletConfig.optionNameArr[j].replace("qe_optn_","");
						console.info('attribName*********');
						console.log(attribName);
						if(this.optionsGrid_data.items[i].id == attribName){
							//if(dashletConfig.optionValueArr[j]) this.optionsGrid_data.items[i].value = dashletConfig.optionValueArr[j];
							this.optionsGrid_data.itemsUI[i] = new Object();
							this.optionsGrid_data.itemsUI[i].item_id = this.optionsGrid_data.items[i].id;
							this.optionsGrid_data.itemsUI[i].item_name = this.optionsGrid_data.items[i].name?this.optionsGrid_data.items[i].name:this.optionsGrid_data.items[i].id;
							this.optionsGrid_data.itemsUI[i].item_desc = this.optionsGrid_data.items[i].description;
							if(this.optionsGrid_data.items[i].options){
								console.log("this.optionsGrid_data.items[i].options->");
								console.dir(this.optionsGrid_data.items[i].options);
								this.optionsGrid_data.itemsUI[i].item_value = new FilteringSelect({store: new Memory({ idProperty: "id", data: this.optionsGrid_data.items[i].options})});
							}else{
								if(this.optionsGrid_data.items[i].id == 'Pagination') {
									this.optionsGrid_data.itemsUI[i].item_value = new CheckBox();
									
									dojo.connect(this.optionsGrid_data.itemsUI[i].item_value, 'onClick', this, function(event) { 
										console.debug('*****onClick:', event.target.checked);
										
										for(var i=0; i<this.optionsList._rowsNode.children.length; i++) {
											if(this.optionsGrid_data.itemsUI[i].item_id.indexOf('PaginationCount') > -1) {
												if(event.target.checked) {
													this.optionsList._rowsNode.children[i].style.display = "";
												} else {
													this.optionsList._rowsNode.children[i].style.display = "none";
												}
											}
										}
									});
								} else if(this.optionsGrid_data.items[i].id == 'PaginationCount') {				
									this.optionsGrid_data.itemsUI[i].item_value = new NumberSpinner({smallDelta: 1, constraints: { min: 1, max: datasetTotalItemsCount}, value: 10});									
								} else
									this.optionsGrid_data.itemsUI[i].item_value = new TextBox();
							}
							//console.log(this.optionsGrid_data.itemsUI[this.optionsGrid_data.items[i].id]);
							if(dashletConfig.optionValueArr[j]) {
								if(this.optionsGrid_data.itemsUI[i].item_id == 'Pagination') {
									if(dashletConfig.optionValueArr[j] == 'true')
										this.optionsGrid_data.itemsUI[i].item_value.set('checked', true);
									else
										this.optionsGrid_data.itemsUI[i].item_value.set('checked', false);
								} else
									this.optionsGrid_data.itemsUI[i].item_value.set('value', unescapeHTML(dashletConfig.optionValueArr[j]));
							}
						}
					}

					//if option not found in preferences, create default control
					if(!this.optionsGrid_data.itemsUI[i]){
						console.log("No settings in preferences for ..."+ this.optionsGrid_data.items[i].id);
						this.optionsGrid_data.itemsUI[i] = new Object();
						this.optionsGrid_data.itemsUI[i].item_id = this.optionsGrid_data.items[i].id;
						this.optionsGrid_data.itemsUI[i].item_name = this.optionsGrid_data.items[i].name?this.optionsGrid_data.items[i].name:this.optionsGrid_data.items[i].id;
						this.optionsGrid_data.itemsUI[i].item_desc = this.optionsGrid_data.items[i].description;
						if(this.optionsGrid_data.items[i].options){
							console.dir(this.optionsGrid_data.items[i].options);
							//find default selected
							var value,defaultValue;
							for(var k=0; k<this.optionsGrid_data.items[i].options.length;k++){
								value = this.optionsGrid_data.items[i].options[k];
								//console.dir(value);
								if (value.selected == true) defaultValue = value.id;
								//console.info("value.selected ->"+value.selected);
							}
							if(defaultValue){
								this.optionsGrid_data.itemsUI[i].item_value = new FilteringSelect({
									store: new Memory({ idProperty: "id", data: this.optionsGrid_data.items[i].options}),
									value: defaultValue
								});
							}else{
								this.optionsGrid_data.itemsUI[i].item_value = new FilteringSelect({
									store: new Memory({ idProperty: "id", data: this.optionsGrid_data.items[i].options})
								});
							}
						}else{
							if(this.optionsGrid_data.items[i].id == 'Pagination') {
								this.optionsGrid_data.itemsUI[i].item_value = new CheckBox();
								
								dojo.connect(this.optionsGrid_data.itemsUI[i].item_value, 'onClick', this, function(event) { 
									console.debug('*****onClick:', event.target.checked);										
									for(var i=0; i<this.optionsList._rowsNode.children.length; i++) {
										if(this.optionsGrid_data.itemsUI[i].item_id.indexOf('PaginationCount') > -1) {
											if(event.target.checked) {
												this.optionsList._rowsNode.children[i].style.display = "";
											} else {
												this.optionsList._rowsNode.children[i].style.display = "none";
											}
										}
									}
								});
							} else if(this.optionsGrid_data.items[i].id == 'PaginationCount') {					
								this.optionsGrid_data.itemsUI[i].item_value = new NumberSpinner({smallDelta: 1, constraints: { min: 1, max: datasetTotalItemsCount}, value: 10});
							} else
								this.optionsGrid_data.itemsUI[i].item_value = new TextBox();
						}
						if(this.optionsGrid_data.items[i].value) {
							if(this.optionsGrid_data.itemsUI[i].item_id == 'Pagination') {
								this.optionsGrid_data.itemsUI[i].item_value.set('checked', false);
							} else
								this.optionsGrid_data.itemsUI[i].item_value.set('value', unescapeHTML(this.optionsGrid_data.items[i].value));
						}

					}
				}
				
				//Ramachandran, 21Aug2013, for smarttext, setting UIPreview checkbox to checked or not
				for(var j=0;j<dashletConfig.optionNameArr.length;j++){
					var attribName = dashletConfig.optionNameArr[j].replace("qe_optn_","");
					console.log(attribName);
					if(attribName == 'UIPreview'){
						if(quickEdit.dd.richHoverCheckBox && quickEdit.isResourceRegistrySet){
							console.info("value ofuiPreview in QE -- " + dashletConfig.optionValueArr[j]);
							quickEdit.dd.richHoverCheckBox.set("value",dashletConfig.optionValueArr[j]);
							if(dashletConfig.optionValueArr[j] == 'false')
								quickEdit.dd.richHoverCheckBox.set("checked",false);
							else quickEdit.dd.richHoverCheckBox.set("checked",true);	
						}
					}
				}
			}

			console.log("this.optionsGrid_data -->");
			console.dir(this.optionsGrid_data);
			console.log("this.optionsGrid_data.items.length - "+this.optionsGrid_data.items.length);

			if(this.optionsGrid_data.itemsUI.length >0){
				this.optionsList = new TableLayout({
					items: this.optionsGrid_data.itemsUI,
					rowTemplatePath: dojo.moduleUrl("dojoe.ssd.quickedit","templates/RowLayout.html")
				},this.optionsGridNode);
				//this.optionsList.startup();
			}else this.noOptions = true;			
			
			//Show or hide the pagination count field
			var paginationEnabled = false;
			for(var i=0;i<this.optionsGrid_data.itemsUI.length;i++){				
				if(this.optionsGrid_data.itemsUI[i].item_id == 'Pagination') {
					paginationEnabled = this.optionsGrid_data.itemsUI[i].item_value.get('checked');
				}
			}
			
			console.debug('paginationEnabled', paginationEnabled);
			for(var i=0; i<this.optionsList._rowsNode.children.length; i++) {
				if(this.optionsGrid_data.itemsUI[i].item_id.indexOf('PaginationCount') > -1) {
					if(paginationEnabled)
						this.optionsList._rowsNode.children[i].style.display = "";
					else
						this.optionsList._rowsNode.children[i].style.display = "none";
				}
			}
			
			console.log ("DatasetDetails.createOptionsGrid... END");
		},

		//This is expected out of any Custom Options widget
		//QuickEditController.js looks for this method to get current UI state when 'OK' is pressed
		//This value is stored in prefrences and View JSP retrieves from there
		getQuickEditOptionsString: function () {
			var quickEditOptions="";
			var pageCountMax="";
			for(var i=0;i<this.optionsGrid_data.itemsUI.length;i++){
				var valueSet = this.optionsGrid_data.itemsUI[i].item_value.get('value');
				
				if(this.optionsGrid_data.itemsUI[i].item_id == 'Pagination') {
					valueSet = this.optionsGrid_data.itemsUI[i].item_value.get('checked');
				}
				
				valueSet = escape(escapeHTML(valueSet));
				quickEditOptions = quickEditOptions +
									"&qe_optn_"+this.optionsGrid_data.itemsUI[i].item_id+
									"="+valueSet;
				
			}
			
			
			//Ramachandran, 21Aug2013, for smarttext, read the set state of UIPreview checkbox
			if(quickEdit.dd.richHoverCheckBox){
				 if(quickEdit.dd.richHoverCheckBox.get('checked')) {
					quickEditOptions = quickEditOptions + "&qe_optn_UIPreview=true"
				} else {
					quickEditOptions = quickEditOptions + "&qe_optn_UIPreview="+ quickEdit.dd.richHoverCheckBox.get('checked');	
				}					
			}
			
			return quickEditOptions;
		},

		destroy: function () {
			if(this.optionsGridNode){
				if(this.optionsGridNode.destroyRecursive) this.optionsGridNode.destroyRecursive();
				else if (this.optionsGridNode.destroy) this.optionsGridNode.destroy();
			}
			this.inherited(arguments);
		}
	});
});
