/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/cs/QueryDatasets", {     
	"TITLE":"Název",
	"DESCRIPTION":"Popis",
	"OK":"OK",
	"CANCEL":"Storno",
	"SELECT_A_DATASET":"Vybrat datovou sadu",
	"VISUALIZATION_SETTINGS":"Nastavení vizualizace",
	"SEARCH_DESC":"Zadejte výraz a klepnutím na tlačítko Vyhledat zobrazte datové sady. Chcete-li zobrazit všechny datové sady, klepněte na tlačítko Vyhledat:",
	"DATASET_DESC":"Po provedení vyhledání vyberte ve výsledcích vyhledávání níže datovou sadu a pokračujte:",
	"SEARCH":"Vyhledat",
	"SHOWALL":"Zobrazit vše",
	"NO_DATASETS":"Nebyly nalezeny žádné datové sady",
	"DIVIDER_HEADING":"Poskytovatel: %0 > Zdroj dat: %1",
	"SELECTED_DATASET":"Vybraná datová sada:",
	"CHANGE":"Změna",
	"MAP_VISUAL_ATTRIBUTES":"Mapovat atributy vizualizace na sloupce datové sady:",
	"CONFIG_MANDATORY_PARAMS":"Konfigurovat povinné parametry datové sady:",
	"CONFIG_OPTIONAL_PARAMS":"Konfigurovat volitelné parametry datové sady:",
	"VISUALIZATION_OPTIONS":"Možnosti vizualizace:",
	"REQUIRED_SETTINGS":"Povinná nastavení",
	"OPTIONAL_SETTINGS":"Volitelná nastavení",
	"DYNAMIC_UPDATES_YES":"Podporováno automatické obnovení",
	"DYNAMIC_UPDATES_NO":"Bez automatického obnovení",
	"VIEW_TYPE":"Datový typ",
	"REMOTE_YES": "Vzdálený poskytovatel dat",
	"REMOTE_NO": "Místní poskytovatel dat",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"Namapujte alespoň jeden atribut vizualizace na sloupec datové sady.",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"Konfigurujte všechny povinné parametry datové sady.",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"Konfigurujte všechny povinné parametry datové sady správně.",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"Konfigurujte všechny volitelné parametry datové sady správně.",	
	"NONE": 'Žádný',
	"NO_MAPPING_ATTRIBUTES": '<i>Pro mapování na sloupce datové sady nebyl nalezen žádný atribut vizualizace.</i>',
	"NO_OPTIONS": '<i>Pro konfiguraci nebyla nalezena žádná možnost vizualizace.</i>',
	"FOUND": "Datové sady nalezeny",
	"NAME_UIPREVIEW": "Povolit náhledy uživatelského rozhraní",
	"DESC_UIPREVIEW": "Výběrem této volby povolíte podporu náhledu uživatelského rozhraní specifikace OSLC",
	"NAME_LAUNCHPAGE": "Stránka ke spuštění",
	"DESC_LAUNCHPAGE": "Zvolte stránku, která se má spustit, aby zobrazila podrobnosti vybrané položky.",
	"MULTI_SELECT_USAGE": "Stiskněte klávesu Shift+klepněte nebo přetáhněte, abyste vybrali více položek nepřerušeně. Stiskněte klávesu Ctrl+klepněte, abyste vybrali více položek přerušeně nebo přepnuli výběr.",
	"LIST_INPUT_USAGE": "Použijte klávesu Enter, abyste označili konec hodnoty při hromadném vstupu.",
	"PRELIMINARY_DATA_FILTER": "Předběžný datový filtr",
	"DATA_FILTER_DESC": "Použijte ikonu 'Definovat filtr' v níže uvedené tabulce, abyste přidali předběžný datový filtr. Pomocí filtru můžete zobrazit náhled dat z vybrané datové sady v tabulce.",
	"CUSTOM_HELP_LABEL": "Adresa URL vlastní nápovědy",
	"DESC_CUSTOM_HELP": "Zadejte adresu URL stránky s nápovědou, která se má připojit k obecné nápovědě tohoto modulu widget.",
	"HELP_TAB_USAGE" : "Použití",
	"HELP_TAB_EDIT" : "Úprava",
	"HELP_TAB_GENERAL" : "Obecné",
	"STRING_TRANSLATION_DIALOG" : "Vlastnosti překladu řetězců",
	"STRING_TRANSLATION" : "Překlad řetězce:",
	"MODULE" : "Modul:",
	"BUNDLE_LOCATION" : "Umístění balíku:",
	"KEY" : "Klíč:",
	"STRING_TRANSLATION_BUTTON" : "Překlad řetězců...",
	"DISABLED" : "Zakázáno",
	"ENABLED" : "Povoleno",
	"SELECT_MODULE" : "Vybrat modul s překladem",
	"BUNDLE_LOCATION_HINT" : "Pokyn: Zadat umístění ve formátu 'classes/com/ibm/isclite/portlet/nl/MyResource",
	"CUSTOM_PREVIEW_URL" : "Adresa URL vlastního náhledu",
	"DESC_CUSTOM_PREVIEW_URL" : "Adresa URL uživatelského rozhraní, která se má zobrazit v okně náhledu. Položka zde zobrazuje vlastní náhled, je-li zjištěn pohyb ukazatelem myši. Potlačuje podporu náhledu uživatelského rozhraní.",
	"CUSTOM_PREVIEW_SHORTTITLE" : "Krátký název vlastního náhledu",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : "Krátký název používaný pro tento náhled.",
	"CUSTOM_PREVIEW_SIZE" : "Velikost vlastního náhledu",
	"DESC_CUSTOM_PREVIEW_SIZE" : "Výchozí výška a šířka okna náhledu"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



