/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/de/QueryDatasets", {     
	"TITLE":"Titel",
	"DESCRIPTION":"Beschreibung",
	"OK":"OK",
	"CANCEL":"Abbrechen",
	"SELECT_A_DATASET":"Datensatz auswählen",
	"VISUALIZATION_SETTINGS":"Visualisierungseinstellungen",
	"SEARCH_DESC":"Geben Sie einen Begriff ein und klicken Sie auf 'Suchen', um Datensätze anzuzeigen. Wenn Sie alle Datensätze anzeigen möchten, klicken Sie nur auf 'Suchen':",
	"DATASET_DESC":"Wählen Sie nach dem Suchvorgang unten in den Suchergebnissen einen Datensatz aus, um fortzufahren:",
	"SEARCH":"Suchen",
	"SHOWALL":"Alle anzeigen",
	"NO_DATASETS":"Keine Datensätze gefunden",
	"DIVIDER_HEADING":"Provider: %0 > Datenquelle: %1",
	"SELECTED_DATASET":"Ausgewählter Datensatz:",
	"CHANGE":"Ändern",
	"MAP_VISUAL_ATTRIBUTES":"Zuordnung von Visualisierungsattributen zu Datensatzspalten:",
	"CONFIG_MANDATORY_PARAMS":"Obligatorische Datensatzparameter konfigurieren:",
	"CONFIG_OPTIONAL_PARAMS":"Optionale Datensatzparameter konfigurieren:",
	"VISUALIZATION_OPTIONS":"Visualisierungsoptionen:",
	"REQUIRED_SETTINGS":"Erforderliche Einstellungen",
	"OPTIONAL_SETTINGS":"Optionale Einstellungen",
	"DYNAMIC_UPDATES_YES":"Automatische Aktualisierung wird unterstützt",
	"DYNAMIC_UPDATES_NO":"Keine automatische Aktualisierung",
	"VIEW_TYPE":"Datentyp",
	"REMOTE_YES": "Ferner Datenprovider",
	"REMOTE_NO": "Lokaler Datenprovider",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"Ordnen Sie einer Datensatzspalte mindestens ein Visualisierungsattribut zu.",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"Konfigurieren Sie alle obligatorischen Datensatzparameter.",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"Nehmen Sie eine ordnungsgemäße Konfiguration aller obligatorischen Datensatzparameter vor.",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"Nehmen Sie eine ordnungsgemäße Konfiguration aller optionalen Datensatzparameter vor.",	
	"NONE": 'Keine',
	"NO_MAPPING_ATTRIBUTES": '<i>Es wurde kein Visualisierungsattribut für die Zuordnung zu Datensatzspalten gefunden.</i>',
	"NO_OPTIONS": '<i>Es wurde keine Visualisierungsoption für die Konfiguration gefunden.</i>',
	"FOUND": "Datensätze gefunden",
	"NAME_UIPREVIEW": "UI-Voranzeigen aktivieren",
	"DESC_UIPREVIEW": "Hierdurch wird die Unterstützung für UI-Voranzeigeen für Open Services for Lifecycle Collaboration aktiviert",
	"NAME_LAUNCHPAGE": "Zu startende Seite",
	"DESC_LAUNCHPAGE": "Zu startende Seite auswählen, um Details der ausgewählten Elemente anzuzeigen",
	"MULTI_SELECT_USAGE": "Umschalttaste+Klick, um mehrere Elemente gleichzeitig zu ziehen. Strg+Klick, um  mehrere Elemente nicht fortlaufend auszuwählen oder um die Auswahl umzukehren.",
	"LIST_INPUT_USAGE": "Eingabetaste verwenden, um das Ende eines Werts zu markieren, wenn mehrere eingegeben werden.",
	"PRELIMINARY_DATA_FILTER": "Vorläufiger Datenfilter",
	"DATA_FILTER_DESC": "Verwenden Sie das Symbol 'Filter defineiren' in der nachfolgenden Tabelle, um einen vorläufigen Datenfilter hinzuzufügen. Sie können eine Voranzeige der Daten aus ausgewählten Datebsätzen in der Tabelle aufrufen, mit angewendetem Filter.",
	"CUSTOM_HELP_LABEL": "Angepasste Hilfe-URL",
	"DESC_CUSTOM_HELP": "Geben Sie eine URL für eine Hilfeseite an, die in der allgemeinen Hilfe für dieses Widget aufgenommen weren soll.",
	"HELP_TAB_USAGE" : "Syntax",
	"HELP_TAB_EDIT" : "Bearbeitung",
	"HELP_TAB_GENERAL" : "Allgemein",
	"STRING_TRANSLATION_DIALOG" : "Eigenschaften für Zeichenfolgenumsetzung",
	"STRING_TRANSLATION" : "Zeichenfolgenumsetzung:",
	"MODULE" : "Modul:",
	"BUNDLE_LOCATION" : "Paketposition:",
	"KEY" : "Schlüssel:",
	"STRING_TRANSLATION_BUTTON" : "Zeichenfolgenumsetzung...",
	"DISABLED" : "Inaktiviert",
	"ENABLED" : "Aktiviert",
	"SELECT_MODULE" : "Modul mit Umsetzung auswählen",
	"BUNDLE_LOCATION_HINT" : "Hinweis: Geben Sie die Position im folgenden Format ein: 'classes/com/ibm/isclite/portlet/nl/MyResource",
	"CUSTOM_PREVIEW_URL" : "URL für angepasste Voranzeige.",
	"DESC_CUSTOM_PREVIEW_URL" : "URL für die UI, die im Vorschaufenster angezeigt werden soll. Ein Eintrag hier zeigt eine angepasste Voranzeige an, wenn eine Kurzinfo für die Maus festgestellt wird. Setzt die UI-Voranzeigeunterstützung außer Kraft.",
	"CUSTOM_PREVIEW_SHORTTITLE" : "Kurztitel für angepasste Voranzeige",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : "Ein Kurztitel, der für diese Voranzeige verwendet werden soll.",
	"CUSTOM_PREVIEW_SIZE" : "Größe für angepasste Voranzeige.",
	"DESC_CUSTOM_PREVIEW_SIZE" : "Die Standardhöhe und -breite des Vorschaufensters. "
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



