/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/he/QueryDatasets", {     
	"TITLE":"כותרת",
	"DESCRIPTION":"תיאור",
	"OK":"אישור",
	"CANCEL":"ביטול",
	"SELECT_A_DATASET":"בחירת ערכת נתונים",
	"VISUALIZATION_SETTINGS":"הגדרות פריט חזותי",
	"SEARCH_DESC":"ציינו מונח כלשהו ולחצו על 'חיפוש' כדי לראות ערכות נתונים. כדי לראות את הכול, לחצו על 'חיפוש':",
	"DATASET_DESC":"לאחר ביצוע החיפוש, בחרו ערכת נתונים מתוצאות החיפוש להלן כדי להמשיך:",
	"SEARCH":"חיפוש",
	"SHOWALL":"הצגת הכל",
	"NO_DATASETS":"לא אותרו ערכות נתונים",
	"DIVIDER_HEADING":"ספק: %0 > מקור נתונים: %1",
	"SELECTED_DATASET":"ערכת נתונים שנבחרה:",
	"CHANGE":"שינוי",
	"MAP_VISUAL_ATTRIBUTES":"מפו מאפייני פריט חזותי לעמודות ערכת נתונים:",
	"CONFIG_MANDATORY_PARAMS":"קבעו תצורה של פרמטרי חובה של ערכת נתונים:",
	"CONFIG_OPTIONAL_PARAMS":"קבעו תצורה של פרמטרים אופציונליים של ערכת נתונים:",
	"VISUALIZATION_OPTIONS":"אפשרויות פריט חזותי:",
	"REQUIRED_SETTINGS":"הגדרות דרושות",
	"OPTIONAL_SETTINGS":"הגדרות אופציונליות",
	"DYNAMIC_UPDATES_YES":"רענון אוטומטי נתמך",
	"DYNAMIC_UPDATES_NO":"ללא רענון אוטומטי",
	"VIEW_TYPE":"סוג נתונים",
	"REMOTE_YES": "ספק נתונים מרוחק",
	"REMOTE_NO": "ספק נתונים מקומי",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"יש למפות מאפיין פריט חזותי אחד לפחות לעמודת ערכת נתונים",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"קבעו את התצורה של כל פרמטרי החובה של ערכת הנתונים.",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"קבעו את התצורה של כל פרמטרי החובה של ערכת הנתונים כהלכה.",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"קבעו את התצורה של כל הפרמטרים האופציונליים של ערכת הנתונים כהלכה.",	
	"NONE": 'ללא',
	"NO_MAPPING_ATTRIBUTES": '<i>לא אותר מאפיין של פריט חזותי לצורך מיפוי לעמודות ערכת נתונים.</i>',
	"NO_OPTIONS": '<i>לא אותרה אפשרות של פריט חזותי לצורך קביעת תצורה.</i>',
	"FOUND": "אותרו ערכות נתונים",
	"NAME_UIPREVIEW": "הפעלת תצוגות מקדימות של UI",
	"DESC_UIPREVIEW": "בחירה באפשרות זו תפעיל תמיכה בתצוגה מקדימה של UI עבור Open Services for Lifecycle Collaboration",
	"NAME_LAUNCHPAGE": "דף להפעלה",
	"DESC_LAUNCHPAGE": "בחרו בדף להפעלה כדי להציג פרטי פריט שנבחר.",
	"MULTI_SELECT_USAGE": "לחצו על מקש Shift תוך כדי לחיצה על לחצן העכבר או גררו את הסמן כדי לבחור פריטים רבים המוצגים ברציפות. לחצו על מקש Ctrl תוך כדי לחיצה על לחצן העכבר כדי לבחור פריטים רבים שאינם מוצגים ברציפות או להעביר את הבחירה.",
	"LIST_INPUT_USAGE": "השתמשו במקש Enter כדי לסמן סוף של ערך בעת ציון ערכים רבים.",
	"PRELIMINARY_DATA_FILTER": "מסנן נתונים ראשוני",
	"DATA_FILTER_DESC": "השתמשו באיקון 'הגדרת מסנן' בטבלה שלהלן כדי להוסיף מסנן נתונים ראשוני. ניתן להציג תצוגה מקדימה של נתונים מתוך ערכת נתונים נבחרת בטבלה לאחר החלת המסנן.",
	"CUSTOM_HELP_LABEL": "כתובת URL של עזרה מותאמת",
    "DESC_CUSTOM_HELP": "ספקו כתובת URL לדף עזרה שתיכלל בעזרה הכללית של רכיב גרפי זה.",
    "HELP_TAB_USAGE" : "שימוש",
    "HELP_TAB_EDIT" : "עריכה",
    "HELP_TAB_GENERAL" : "כללי",
	"STRING_TRANSLATION_DIALOG" : "תכונות תרגום מחרוזת ",
	"STRING_TRANSLATION" : "תרגום מחרוזת: ",
	"MODULE" : "מודול: ",
	"BUNDLE_LOCATION" : "מיקום חבילה: ",
	"KEY" : "מפתח: ",
	"STRING_TRANSLATION_BUTTON" : "תרגום מחרוזת..."
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



