/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/ja/GaugeOptions", {     
	"TOPLABEL":"ゲージの上のラベル",
	"LEFTLABEL":"前縁のラベル",
	"INFORMATIONAL":"通知",
	"NORMAL":"正常",
	"MINOR":"軽微",
	"MAJOR":"重大",
	"CRITICAL":"クリティカル",
	"FATAL":"致命的",
	"UNKNOWN":"不明",
	"MINVALUE":"最小値",
	"MAXVALUE":"最大値",
	"MAJORTICKSSEPARATION":"主目盛り間の距離",
	"MINORTICKSSEPARATION":"小目盛り間の距離",
	"UNIT":"単位",
	"SHOWTHRESHOLDSTRIP":"しきい値ストリップの表示",
	"DESC_TOPLABEL":"(オプション) リストからプロパティーを選択してその値を表示するか、任意のカスタム・ラベルを入力します",
	"DESC_LEFTLABEL":"(オプション) リストからプロパティーを選択してその値を表示するか、任意のカスタム・ラベルを入力します",
	"DESC_INFORMATIONAL":"通知状況の開始を示すしきい値",
	"DESC_NORMAL": "正常状況の開始を示すしきい値",
	"DESC_MINOR":"軽微な警告状況の開始を示すしきい値",
	"DESC_MAJOR":"重大な警告状況の開始を示すしきい値",
	"DESC_CRITICAL":"クリティカル状況の開始を示すしきい値",
	"DESC_FATAL":"致命的状況の開始を示すしきい値",
	"DESC_MINVALUE":"ゲージで表現できる最小値。数値を入力するか、ドロップダウンからプロパティーを選択します。",
	"DESC_MAXVALUE":"ゲージで表現できる最大値。数値を入力するか、ドロップダウンからプロパティーを選択します。",
	"DESC_MAJORTICKSSEPARATION":"ゲージの各主目盛り間の距離",
	"DESC_MINORTICKSSEPARATION":"ゲージの各小目盛り間の距離",
	"DESC_UNIT":"ゲージの測定基準を入力してください",
	"DESC_SHOWTHRESHOLDSTRIP":"これを使用不可にすると、しきい値範囲がゲージに表示されません",
	"VALUE":"値",
	"DESC_VALUE":"数値/状況が必要です",
	"MSGDIALOG_GAUGES_TICKS_INVALID_PARAMS":"目盛りの数値は 100 以内に収めてください。",
	"MSGDIALOG_GAUGES_INVALID_RANGE":"最大値は最小値よりも大きい値にする必要があります。",
	"MSGDIALOG_GAUGES_GREATER_THAN_MAX":"しきい値が最小値と最大値の範囲内にありません。",
	"MSGDIALOG_GAUGES_INVALID_EXPONENT" : "しきい値は数値である必要があります",
	"NONE": 'なし',
	"NAME_UIPREVIEW": "UI プレビューを有効にする",
	"DESC_UIPREVIEW": "選択すると Open Services for Lifecycle Collaboration 向けの UI プレビューのサポートが有効になります",
	"DEFAULT_STATUS": "データなし状況",
	"DEFAULT_STATUS_DESC": "有効なデータが存在しない場合のデフォルトの状況を選択します",
	"MSGDIALOG_GAUGES_INVALID_NO_DATA_STATUS":"データなし状況向けの有効な値を入力してください",
	"MSGDIALOG_INVALID_MIN_MAX":"「最小」および「最大」フィールドに有効な値を入力してください。",
	"FONTSIZE":"フォント・サイズ",
	"DESC_FONTSIZE":"(オプション) ラベルのフォント・サイズを選択します",
	"FONTFAMILY":"フォント・ファミリー",
	"DESC_FONTFAMILY":"(オプション) リストから選択するか、ラベルの有効なフォント・ファミリー名を入力します",
	"COLORPICKER":"フォント色",
	"DESC_COLORPICKER":"(オプション) ボタンをクリックしてラベルのフォント色を選択します",
	"COLORPICKER_TOOLTIP":"クリックしてラベルのフォント色を選択",
	"DEF_COLOR": "デフォルトの色"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

