/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/nb/QueryDatasets", {     
	"TITLE":"Tittel",
	"DESCRIPTION":"Beskrivelse",
	"OK":"OK",
	"CANCEL":"Avbryt",
	"SELECT_A_DATASET":"Velg et datasett",
	"VISUALIZATION_SETTINGS":"Visualiseringsinnstillinger",
	"SEARCH_DESC":"Skriv inn et ord og klikk på Søk for å se datasett. Hvis du vil se alle, klikker du bare på Søk:",
	"DATASET_DESC":"Etter søket velger du et datasett fra søkeresultatene nedenfor for å fortsette:",
	"SEARCH":"Søk",
	"SHOWALL":"Vis alle",
	"NO_DATASETS":"Fant ingen datasett",
	"DIVIDER_HEADING":"Leverandør: %0 > Datakilde: %1",
	"SELECTED_DATASET":"Valgt datasett:",
	"CHANGE":"Endre",
	"MAP_VISUAL_ATTRIBUTES":"Tilordne visualiseringsattributter til datasettkolonner:",
	"CONFIG_MANDATORY_PARAMS":"Konfigurer obligatoriske datasettparametere:",
	"CONFIG_OPTIONAL_PARAMS":"Konfigurer valgfrie datasettparametere:",
	"VISUALIZATION_OPTIONS":"Visualiseringsalternativer:",
	"REQUIRED_SETTINGS":"Obligatoriske innstillinger",
	"OPTIONAL_SETTINGS":"Valgfrie innstillinger",
	"DYNAMIC_UPDATES_YES":"Automatisk oppdatering støttes",
	"DYNAMIC_UPDATES_NO":"Ingen automatisk oppdatering",
	"VIEW_TYPE":"Datatype",
	"REMOTE_YES": "Ekstern dataleverandør",
	"REMOTE_NO": "Lokal dataleverandør",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"Tilordne minst ett visualiseringsattributt til en datasettkolonne",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"Konfigurer alle obligatoriske datasettparametere.",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"Konfigurer alle obligatoriske datasettparametere på riktig måte.",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"Konfigurer alle valgfrie datasettparametere på riktig måte.",	
	"NONE": 'Ingen',
	"NO_MAPPING_ATTRIBUTES": '<i>Fant ingen visualiseringsattributter for tilordning til datasettkolonner.</i>',
	"NO_OPTIONS": '<i>Fant ingen visualiseringsalternativer for konfigurasjon.</i>',
	"FOUND": "Datasett funnet",
	"NAME_UIPREVIEW": "Aktiver UI-forhåndsvisning",
	"DESC_UIPREVIEW": "Hvis du velger dette, aktiverer du støtte for UI-forhåndsvisning for Open Services for Lifecycle Collaboration",
	"NAME_LAUNCHPAGE": "Side som skal startes",
	"DESC_LAUNCHPAGE": "Velg side som skal startes for å vise valgte elementdetaljer.",
	"MULTI_SELECT_USAGE": "Skift+klikk eller dra for å velge flere påfølgende elementer. Ctrl+klikk for å velge flere spredte elementer eller slå valget på eller av.",
	"LIST_INPUT_USAGE": "Bruk Enter til å merke slutten av en verdi når du skriver inn flere.",
	"PRELIMINARY_DATA_FILTER": "Foreløpig datafilter",
	"DATA_FILTER_DESC": "Bruk ikonet 'Definer filter' i tabellen nedenfor til å legge inn foreløpig datafilter. Du kan forhåndsvise data fra det valgte datasettet i tabellen med filteret aktivt.",
	"CUSTOM_HELP_LABEL": "URL til tilpasset hjelp",
	"DESC_CUSTOM_HELP": "Oppgi en URL til en hjelpeside som skal inkluderes for denne widgetens generelle hjelp.",
	"HELP_TAB_USAGE" : "Bruk",
	"HELP_TAB_EDIT" : "Redigering",
	"HELP_TAB_GENERAL" : "Generelt",
	"STRING_TRANSLATION_DIALOG" : "Egenskaper for strengoversettelse",
	"STRING_TRANSLATION" : "Strengoversettelse:",
	"MODULE" : "Modul:",
	"BUNDLE_LOCATION" : "Pakkeplassering:",
	"KEY" : "Nøkkel:",
	"STRING_TRANSLATION_BUTTON" : "Strengoversettelse...",
	"DISABLED" : "Deaktivert",
	"ENABLED" : "Aktivert",
	"SELECT_MODULE" : "Velg modul med oversettelse",
	"BUNDLE_LOCATION_HINT" : "Tips: Oppgi plasseringen i formatet 'classes/com/ibm/isclite/portlet/nl/MyResource",
	"CUSTOM_PREVIEW_URL" : "Tilpasset URL for forhåndsvisning.",
	"DESC_CUSTOM_PREVIEW_URL" : "URL til brukergrensesnittet som skal vises i forhåndsvisningsvinduet. Når det står en verdi her, vises en tilpasset forhåndsvisning som musepekeren holdes over. Overstyrer støtte for forhåndsvisning av brukergrensesnitt.",
	"CUSTOM_PREVIEW_SHORTTITLE" : "Kort tittel for tilpasset forhåndsvisning",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : "En kort tittel som skal brukes for denne forhåndsvisningen.",
	"CUSTOM_PREVIEW_SIZE" : "Størrelse på tilpasset forhåndsvisning",
	"DESC_CUSTOM_PREVIEW_SIZE" : "Standard høyde og bredde på forhåndsvisningsvinduet"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



