/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/ru/QueryDatasets", {     
	"TITLE":"Заголовок",
	"DESCRIPTION":"Описание",
	"OK":"ОК",
	"CANCEL":"Отмена",
	"SELECT_A_DATASET":"Выбрать набор данных",
	"VISUALIZATION_SETTINGS":"Параметры визуализации",
	"SEARCH_DESC":"Введите термин и нажмите Поиск, чтобы увидеть наборы данных. Чтобы увидеть все, просто нажмите Поиск:",
	"DATASET_DESC":"После поиска выберите набор данных из расположенных ниже результатов поиска, чтобы продолжить:",
	"SEARCH":"Search",
	"SHOWALL":"Показать все",
	"NO_DATASETS":"Наборы данных не найдены",
	"DIVIDER_HEADING":"Провайдер: %0 > Источник данных: %1",
	"SELECTED_DATASET":"Выбранный набор данных:",
	"CHANGE":"Изменить",
	"MAP_VISUAL_ATTRIBUTES":"Отобразить атрибуты визуализации в столбцы набора данных:",
	"CONFIG_MANDATORY_PARAMS":"Сконфигурировать обязательные параметры набора данных:",
	"CONFIG_OPTIONAL_PARAMS":"Сконфигурировать необязательные параметры набора данных:",
	"VISUALIZATION_OPTIONS":"Опции визуализации:",
	"REQUIRED_SETTINGS":"Обязательные параметры",
	"OPTIONAL_SETTINGS":"Необязательные параметры",
	"DYNAMIC_UPDATES_YES":"Автоматическое обновление поддерживается",
	"DYNAMIC_UPDATES_NO":"Без автоматического обновления",
	"VIEW_TYPE":"Тип данных",
	"REMOTE_YES": "Удаленный провайдер данных",
	"REMOTE_NO": "Локальный провайдер данных",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"Отобразите хотя бы один атрибут визуализации в столбец набора данных",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"Сконфигурируйте все обязательные параметры набора данных.",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"Сконфигурируйте все обязательные параметры набора данных правильно.",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"Сконфигурируйте все необязательные параметры набора данных правильно.",	
	"NONE": 'Нет.',
	"NO_MAPPING_ATTRIBUTES": '<i>Не найдено никаких атрибутов визуализации для отображения в столбцы набора данных.</i>',
	"NO_OPTIONS": '<i>Не найдено никаких опций визуализации для конфигурации.</i>',
	"FOUND": "Найденные наборы данных",
	"NAME_UIPREVIEW": "Включить предварительные просмотры в пользовательском интерфейсе",
	"DESC_UIPREVIEW": "Выбор этой опции включает поддержку предварительных просмотров в пользовательском интерфейсе для Open Services for Lifecycle Collaboration",
	"NAME_LAUNCHPAGE": "Страница для запуска",
	"DESC_LAUNCHPAGE": "Выберите страницу для запуска, чтобы вывести подробности выбранного элемента.",
	"MULTI_SELECT_USAGE": "Нажмите клавишу Shift и щелкните мышью или перетащите указатель мыши, чтобы выбрать несколько элементов одновременно. Нажмите клавишу Ctrl и щелкните мышью, чтобы выбрать несколько разрозненных элементов или переключить выбор.",
	"LIST_INPUT_USAGE": "Используйте клавишу Enter, чтобы отметить конец значения при вводе нескольких значений.",
	"PRELIMINARY_DATA_FILTER": "Предварительный фильтр данных",
	"DATA_FILTER_DESC": "Используйте значок 'Задать фильтр' в приведенной ниже таблице, чтобы добавить предварительный фильтр данных. Можно предварительно просмотреть данные из выбранного набора данных в таблице, применив ваш фильтр.",
	"CUSTOM_HELP_LABEL": "URL пользовательской справки",
	"DESC_CUSTOM_HELP": "Задайте URL страницы справки для включения в общую справку этого виджета.",
	"HELP_TAB_USAGE" : "Использование",
	"HELP_TAB_EDIT" : "Редактирование",
	"HELP_TAB_GENERAL" : "Общие",
	"STRING_TRANSLATION_DIALOG" : "Свойства перевода строки",
	"STRING_TRANSLATION" : "Перевод строки:",
	"MODULE" : "Модуль:",
	"BUNDLE_LOCATION" : "Положение комплекта:",
	"KEY" : "Ключ:",
	"STRING_TRANSLATION_BUTTON" : "Перевод строки...",
	"DISABLED" : "Отключен",
	"ENABLED" : "Включен",
	"SELECT_MODULE" : "Выберите модуль с переводом",
	"BUNDLE_LOCATION_HINT" : "Подсказка: Введите положение в формате 'classes/com/ibm/isclite/portlet/nl/MyResource",
	"CUSTOM_PREVIEW_URL" : "URL пользовательского предварительного просмотра.",
	"DESC_CUSTOM_PREVIEW_URL" : "URL для пользовательского интерфейса, выводимого в окне предварительного просмотра. Предварительный просмотр выводится здесь на записи при наведении указателя мыши. Переопределяет поддержку предварительного просмотра пользовательского интерфейса.",
	"CUSTOM_PREVIEW_SHORTTITLE" : "Краткий заголовок пользовательского предварительного просмотра",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : "Краткий заголовок для этого предварительного просмотра",
	"CUSTOM_PREVIEW_SIZE" : "Размер пользовательского предварительного просмотра.",
	"DESC_CUSTOM_PREVIEW_SIZE" : "Высота и ширина окна предварительного просмотра"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



