/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/dijit/nls/el/resources", {      
 //begin v1.x content
   "SEARCH_COMMAND_TOOLTIP":"Αναζήτηση κειμένου",
   "SEARCH_GO_COMMAND_TOOLTIP":"Εκτέλεση αναζήτησης",
   "SEARCH_TEXT":"Αναζήτηση",

   "DIALOG_CONFIRM":"Επιβεβαίωση",
   "DIALOG_ERROR":"Σφάλμα",
   "DIALOG_INFO":"Πληροφορίες",
   "DIALOG_VALIDATION":"Επικύρωση",
   "DIALOG_WARNING":"Προειδοποίηση",
   "DIALOG_BUTTON_OK":"OK",
   "DIALOG_BUTTON_CLOSE":"Κλείσιμο",
   "DIALOG_BUTTON_CANCEL":"Ακύρωση",
   "DIALOG_BUTTON_YES":"Ναι",
   "DIALOG_BUTTON_NO":"Όχι",
   "NEVER_SHOW":"Να μην εμφανιστεί ξανά",
   "TABLE_FOOTER_TEXT":"Επιλεγμένα: ${0}, Σύνολο: ${1}",
   "REFRESH":"Ανανέωση",
   "SELECT_ALL":"Επιλογή όλων",
   "DESELECT_ALL":"Αποεπιλογή όλων",
   "SEARCH_DROP_DOWN_HELP":"Πατήστε για αναζήτηση με βάση τις στήλες",
   "ALL_COLUMNS":"Όλες οι στήλες",
   "FILTER_ON":"Φιλτράρισμα με βάση:",
   "OK":"OK",
   "PROCESSING":"Επεξεργασία...",
   "MESSAGE_TITLE":"${0} - ${1}",
   "NOT_EDITABLE": "Αυτό το πεδίο είναι μόνο για ανάγνωση.",
   "NUMBER_MAX_LIMIT": "Η τιμή δεν μπορεί να είναι μεγαλύτερο από ${max}.",
   "NUMBER_MIN_LIMIT": "Η τιμή δεν μπορεί να είναι μικρότερη από ${min}.",   
   "NUMBER_INVALID_VALUE": "Αυτό το πεδίο πρέπει να διαθέτει αριθμητική τιμή.",
   "TEXT_INVALID_CHARS": "Η τιμή περιέχει εσφαλμένους χαρακτήρες.",
   "TEXT_REQUIRED": "Αυτό το πεδίο είναι απαραίτητο.",
   "TEXT_MAX_LIMIT": "Η τιμή δεν πρέπει να περιέχει περισσότερους από ${maxlen} χαρακτήρες.",
   "TEXT_MIN_LIMIT": "Η τιμή δεν πρέπει να περιέχει λιγότερους από ${minlen} χαρακτήρες.",
   "TEXTAREA_MESSAGE": "Χαρακτήρες που καταχωρήθηκαν ${len}, απομένουν ${left}.",
   "TEXTAREA_MAX_LIMIT": "Μπορείτε να καταχωρήσετε έως ${maxlen} χαρακτήρες",
   "DATE_INVALID_VALUE": "Έγκυρες μορφές ημερομηνίας: μμ/ηη/εε και μμ/ηη/εεεε.",
   "TIME_INVALID_VALUE": "Έγκυρες μορφές ώρας: ωω:λλ ΠΜ ή ωω:λλ ΜΜ.",
   "SPINNER_INVALID_VALUE": "Αυτό το πεδίο πρέπει να διαθέτει αριθμητική τιμή.",

   "COLUMNS": "Στήλες",
   "COLUMNS_VISIBLE":"Επισημάνετε τις στήλες πίνακα που θα εμφανίζονται",
   "TABLE_PREFERENCES":"Προτιμήσεις πίνακα",
   "PREFERENCES":"Προτιμήσεις",
   "CANCEL": "Ακύρωση",
   "PAGE_X_OF_Y":"Σελίδα ${0} από ${1}",
   "PAGE_OF_Y":"&nbsp; από ${0}",
   "PAGE_LABEL":"Σελίδες",
   "ROW_SHOW_RATE":"Εμφάνιση ${0} από ${1} συνολικές γραμμές",
   "AXIS_TITLE":"Kilobytes",
"DEFAULT_PARAMETERS":"Προεπιλεγμένες παράμετροι",
"NEXT":"Επόμενο",
"BACK":"Πίσω",
"FINISH":"Ολοκλήρωση",
"OK":"OK",
"NEW":"Δημιουργία",
"DELETE":"Διαγραφή",
"NEW_CONNECTION":"Νέα σύνδεση",
"NAME":"Όνομα",
"DESCRIPTION":"Περιγραφή",
"PROTOCOL":"Πρωτόκολλο",
"HOSTNAME":"Όνομα υπολογιστή",
"PORT":"Θύρα",
"SERVICE_NAME":"Όνομα υπηρεσίας",
"USERNAME":"Όνομα χρήστη",
"PASSWORD":"Κωδικός πρόσβασης",
"CREATE":"Δημιουργία",
"CANCEL":"Ακύρωση",
"GROUPS":"Ομάδες",
"SELECT_GROUP":"Επιλογή ομάδας",
"CHARTS":"Διαγράμματα",
"CLOSE":"Κλείσιμο",
"LAST_UPDATED":"Τελευταία ενημέρωση: ${0}",
"CHART_NAME":"Όνομα διαγράμματος",
"GENERAL":"Γενικά",
"VIEW_AS":"Προβολή ως",
"TABLE":"Πίνακας",
"CHART":"Διάγραμμα",
"SHOW_LEGEND":"Εμφάνιση υπομνήματος",
"AUTO_UPDATE":"Αυτόματη ενημέρωση",
"SECONDS":"Δευτερόλεπτα",
"MINUTES":"Λεπτά",
"HEIGHT":"Ύψος",
"WIDTH":"Πλάτος",
"PARAMETERS":"Παράμετροι",
"USE_CONTEXT":"Όταν είναι διαθέσιμες, χρήση των τιμών παραμέτρων που μεταβιβάζονται μέσω του περιβάλλοντος από άλλα μικροεργαλεία",
"USE_DEFAULTS":"Πάντα χρήση των προεπιλεγμένων τιμών παραμέτρων",
"PREFERENCES":"Προτιμήσεις",
"REFRESH":"Ανανέωση δεδομένων",
"RELOAD":"Ανανέωση σχεδίου",
"TOGGLE_TABLE_CHART":"Εναλλαγή πίνακα/διαγράμματος",
"RETURN_TO_CHART_SELECTOR":"Επιστροφή στον επιλογέα διαγράμματος",
"SAVE":"Αποθήκευση",
"SAVE_FOR_OTHERS":"Κοινή χρήση προτιμήσεων",
"CLEAR_DEFAULT_PREFERENCES":"Εκκαθάριση κοινόχρηστων προτιμήσεων",
"CLEAR_MY_PREFERENCES":"Εκκαθάριση προτιμήσεων χρήστη",
"SAVE":"Αποθήκευση",
"PUBLISH":"Δημοσίευση",
"RESET":"Επαναφορά",
"RESTORE_DEFAULTS":"Επαναφορά προεπιλογών",
"UPLOAD":"Μεταφόρτωση",
"HTTP":"http",
"HTTPS":"https",
"CUSTOM_CHARTS_DESCRIPTION":"Παρακάτω εμφανίζονται τα προσαρμοσμένα διαγράμματα. Αν σας έχει εκχωρηθεί ο ρόλος chartCreator ή chartAdministrator από τον διαχειριστή, μπορείτε να μεταφορτώσετε διαγράμματα που δημιουργήθηκαν με το BIRT Designer. Για να χρησιμοποιήσετε το Designer, <a href=/ibm/TIPChartPortlet/birt/birt-designer.zip>μεταφορτώστε</a> το, αποσυμπιέστε το και εκτελέστε το birt.exe. Μετά τη δημιουργία και την αποθήκευση ενός διαγράμματος, μπορείτε να το μεταφορτώσετε, να το επιλέξετε και να πατήσετε Ολοκλήρωση.",
"IMPORT_CHART":"Επιλέξτε διάγραμμα προς εισαγωγή",
"SELECT_CHART_TO_IMPORT_DESCRIPTION":"Περιηγηθείτε στις διαθέσιμες ομάδες διαγραμμάτων και επιλέξτε ένα διάγραμμα για εισαγωγή.",
"WAIT":"Περιμένετε...",
"PRINT_PREVIEW":"Προεπισκόπηση εκτύπωσης",
"SAVE_AS_FILE":"Αποθήκευση σε αρχείο",
"SHOW_HIDE_TOOLBAR":"Εμφάνιση/απόκρυψη γραμμής εργαλείων",
"OPTIONS":"Επιλογές",
"DIMENSIONS":"Διαστάσεις",
"NEW_CONNECTION_DESC":"Καταχωρήστε τις τιμές για σύνδεση στη διαδικτυακή υπηρεσία δημιουργίας διαγραμμάτων για την εφαρμογή.  Το όνομα υπηρεσίας είναι συγκεκριμένο για κάθε εφαρμογή. Για παράδειγμα, το όνομα υπηρεσίας παρακολούθησης του IBM Tivoli είναι ITMWebService.  Ανατρέξτε στην τεκμηρίωση του κατάλληλου προϊόντος για να βρείτε το όνομα υπηρεσίας.",
"CHART_ATTRIBUTES":"Γνωρίσματα διαγράμματος",
"UPLOAD_CHART":"Μεταφόρτωση διαγράμματος",
"UPLOAD_CHART_DESCRIPTION":"Περιηγηθείτε στο τοπικό σύστημα αρχείων πατώντας Περιήγηση για να επιλέξετε ένα αρχείο σχεδιασμού αναφοράς που περιέχει ένα διάγραμμα.  Στη συνέχεια πατήστε Μεταφόρτωση για να ολοκληρωθεί η διαδικασία.",
"FILENAME":"Όνομα αρχείου",
"CLEAR_CACHE":"Εκκαθάριση λανθάνουσας μνήμης",
"DOWNLOAD_BIRT_DESCRIPTION":"Μεταφορτώστε το BIRT Designer στον τοπικό υπολογιστή για να δημιουργήσετε προσαρμοσμένα διαγράμματα.",
"CHARTING_VERSION":"Έκδοση διαγράμματος: ${0}",
"TIPDOJO_VERSION":"Έκδοση μικροεργαλείων Tivoli Dojo: ${0}",
"DOJO_VERSION":"Έκδοση Dojo: ${0}",
"ABOUT":"Πληροφορίες",
"ITM_PORT_RANGE_MESSAGE":"Καταχωρήστε μια τιμή μεταξύ 1024 και 65000",
"SELECT_GROUP":"Επιλογή ομάδας...",
"SHOW_NAME_IN_CHART":"Εμφάνιση τίτλου στο διάγραμμα",
"SHOW_LAST_UPDATED":"Εμφάνιση αποτυπώματος χρόνου τελευταίας ενημέρωσης",
"LEGEND_LOCATION":"Θέση υπομνήματος",
"LEGEND_LOCATION_BOTTOM":"Κάτω",
"LEGEND_LOCATION_RIGHT":"Δεξιά",
"LEGEND":"Υπόμνημα",
"PAR_ID":"Ταυτότητα",
"PAR_LABEL":"Ετικέτα",
"PAR_TYPE":"Είδος",
"PAR_DEFAULT_VALUE":"Προεπιλεγμένη τιμή",
"PAR_REQUIRED":"Απαιτείται",
"PAGING":"Σελιδοποίηση",
"RETURN_ALL_ROWS":"Επιστροφή όλων των γραμμών",
"PAGE_THE_DATA":"Σελιδοποίηση των δεδομένων",
"PAGING_SIZE":"Μέγεθος σελίδας",
"PAGE_SIZE_RANGE_MESSAGE":"Καταχωρήστε μια τιμή μεταξύ 2 και 25",
"DRILL_DOWN":"Ανάπτυξη",
"DRILL_UP":"Σύμπτυξη",
// added for the DnDListBox, ListBuider and TIPWizardV2
"FILTERHINT": "Φίλτρο",
"FILTERTIP": "Πληκτρολογήστε για να φιλτράρετε τη λίστα",
"ADD": "Προσθήκη",
"ADDALL": "Προσθήκη όλων",
"REMOVE": "Αφαίρεση",
"REMOVEALL": "Αφαίρεση όλων",
"APPLY": "Εφαρμογή",
"PIE":"Πίτα",
"TABLE":"Πίνακας",
"LINE":"Γραμμή",
"CLUSTERED_COLUMNS":"Ομαδοποιημένες στήλες",
"COLUMNS":"Στήλες",
"STACKED_COLUMNS":"Σωρευμένες στήλες",
"BARS":"Ράβδοι",
"STACKED_BARS":"Σωρευμένες ράβδοι",
"CLUSTERED_BARS":"Ομαδοποιημένες ράβδοι",

// for TivWizard
"SLIDE_RIGHT":"Κύλιση δεξιά",
"SLIDE_LEFT":"Κύλιση αριστερά",

//for Chart Builder Wizard
"DATASET_TITLE": "Σύνολο δεδομένων",
"DATASET_CONTENT_TITLE": "Επιλέξτε ένα σύνολο δεδομένων",
"DATASET_CONTENT_DESC": "Χρησιμοποιήστε την παρακάτω περιοχή για να περιηγηθείτε στις συνδέσεις και τις προελεύσεις δεδομένων και να επιλέξετε ένα σύνολο δεδομένων. Χρησιμοποιήστε τη διαδρομή διευθύνσεων για να επιστρέψετε πίσω και να περιηγηθείτε σε άλλες συνδέσεις. Το δεξί πλαίσιο θα ενημερωθεί με μια προεπισκόπηση των πληροφοριών της επιλογής.",

"PARAMETER_TITLE": "Παράμετροι",
"PARAMETER_CONTENT_TITLE": "Παράμετροι",
"PARAMETER_CONTENT_DESC": "Ορισμένες προελεύσεις δεδομένων χρειάζονται παραμέτρους για να χρησιμοποιήσουν ή να φιλτράρουν δεδομένα. Οι ακόλουθες παράμετροι απαιτούνται για την πρόσβαση στα δεδομένα. Από προεπιλογή, γίνεται αποδοχή των παραμέτρων που μεταβιβάζονται μέσω διόδων επικοινωνίας από άλλα μικροεργαλεία στη σελίδα. Για να απενεργοποιήσετε αυτή τη συμπεριφορά ώστε να χρησιμοποιούνται πάντα οι προεπιλεγμένες παράμετρο, επιλέξτε το παρακάτω τετραγωνίδιο.",

"FILTERS_TITLE": "Φίλτρα",
"FILTERS_CONTENT_TITLE": "Φίλτρα",
"FILTERS_CONTENT_DESC": "Ακολουθούν οι προαιρετικές παράμετροι που μπορείτε να χρησιμοποιήσετε για να φιλτράρετε τα δεδομένα. Ο παρακάτω πίνακας περιέχει δείγματα δεδομένων που βασίζονται στις απαιτούμενες παραμέτρους. Χρησιμοποιήστε το κουμπί φιλτραρίσματος για να δημιουργήσετε ένα φίλτρο προκειμένου να περιορίσετε τα δεδομένα και να δείτε τα αποτελέσματα του φιλτραρίσματος.",

"VISUALIZATION_TITLE": "Οπτικοποίηση",
"VISUALIZATION_CONTENT_TITLE": "Οπτικοποίηση",
"VISUALIZATION_CONTENT_DESC": "Επιλέξτε ένα γράφημα για την αναπαράσταση των δεδομένων. Χρησιμοποιήστε τις ρυθμίσεις άξονα για να επιλέξετε μια στήλη από τον πίνακα δεδομένων προκειμένου να δημιουργήσετε το γράφημα.",

"THRESHOLD_TITLE": "Όρια",
"THRESHOLD_CONTENT_TITLE": "Όρια",
"THRESHOLD_CONTENT_DESC": "Επιλέξτε το είδος ορίων που επιθυμείτε να χρησιμοποιήσετε με αυτό το μικροεργαλείο. Μπορείτε να επιλέξετε ένα υπάρχον είδος ή να δημιουργήσετε ένα προσαρμοσμένο σύνολο για αυτό το μικροεργαλείο. Πατήστε Επόμενο, διατηρώντας κενή την πρώτη τιμή προκειμένου να μην ορίσετε όρια.",

"VISUALIZATION_OPTION_TITLE": "Επιλογές οπτικοποίησης",
"VISUALIZATION_OPTION_CONTENT_TITLE": "Επιλογές οπτικοποίησης",
"VISUALIZATION_OPTION_CONTENT_DESC": "Επιλογές για την αλλαγή του τρόπου εμφάνισης, ενημέρωσης και σελιδοποίησης της οπτικοποίησης. Η σελιδοποίηση ελέγχει τον αριθμό των εμφανιζόμενων τιμών στην προβολή γραφήματος ή πίνακα. Ενεργοποιήστε αυτή τη λειτουργία αν η σειρά δεδομένων περιέχει μεγάλο αριθμό τιμών.",
"VISUALIZATION_OPTION_ITEM_GENERAL": "Γενικά",
"VISUALIZATION_OPTION_ITEM_COLOR_THEME": "Χρωματικό θέμα",
"VISUALIZATION_OPTION_ITEM_LIGHT_THEME": "TIP ανοικτό",
"VISUALIZATION_OPTION_ITEM_DARK_THEME": "TIP σκούρο",
"VISUALIZATION_OPTION_ITEM_START_COLOR": "Αρχικό χρώμα",
"VISUALIZATION_OPTION_ITEM_LEGEND_LOCATION": "Υπόμνημα",
"VISUALIZATION_OPTION_ITEM_LEGEND_NONE": "Χωρίς",
"VISUALIZATION_OPTION_ITEM_LEGEND_RIGHT": "Δεξιά",
"VISUALIZATION_OPTION_ITEM_LEGEND_BOTTOM": "Κάτω",
"VISUALIZATION_OPTION_ITEM_PAGING_OPTION": "Σελιδοποίηση",
"VISUALIZATION_OPTION_ITEM_NO_PAGING": "Χωρίς σελιδοποίηση των σειρών τιμών",
"VISUALIZATION_OPTION_ITEM_DO_PAGING": "Σελιδοποίηση των σειρών τιμών",
"VISUALIZATION_OPTION_ITEM_PAGE_SIZE": "Σειρές τιμών ανά σελίδα",
"VISUALIZATION_OPTION_ITEM_AUTO_UPDATE": "Αυτόματη ενημέρωση της τιμής",
"VISUALIZATION_OPTION_ITEM_SHOW_TIMESTAMP": "Εμφάνιση αποτυπώματος χρόνου τελευταίας ενημέρωσης",
"VISUALIZATION_OPTION_ITEM_X-AXIS_SCALE": "Κλίμακα άξονα X",
"VISUALIZATION_OPTION_ITEM_Y-AXIS_SCALE": "Κλίμακα άξονα Y",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_MIN": "Ελάχιστη",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_MAX": "Μέγιστη",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_DEFAULT": "αυτόματα",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION": "Περιστροφή ετικέτας άξονα",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_X": "Άξονας X",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_Y": "Άξονας Υ",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_HORIZONTAL": "Οριζόντια",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_VERTICAL": "Κατακόρυφα",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_ANGLE_RIGHT_45": "Γωνία δεξιά (45)",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_ANGLE_LEFT_45": "Γωνία αριστερά (-45)",
"VISUALIZATION_OPTION_ITEM_AXIS_OPTIONS": "Επιλογές άξονα",
"VISUALIZATION_OPTION_ITEM_AXIS_MAJOR_TICK": "Εμφάνιση κύριων σημαδιών διαβάθμισης στον άξονα",
"VISUALIZATION_OPTION_ITEM_AXIS_MINER_TICK": "Εμφάνιση δευτερευόντων σημαδιών διαβάθμισης στον άξονα",
"VISUALIZATION_OPTION_ITEM_AXIS_MAJOR_LABEL": "Εμφάνιση κύριων ετικετών στον άξονα",
"VISUALIZATION_OPTION_ITEM_AXIS_MINOR_LABLE": "Εμφάνιση δευτερευουσών ετικετών στον άξονα",
"MOVE_UP_LABEL": "Μετακίνηση επάνω",
"MOVE_DOWN_LABEL": "Μετακίνηση κάτω",

"AVAILABLE_COLUMN_LABEL": "Διαθέσιμες στήλες",
"SELECTED_COLUMN_LABEL": "Επιλεγμένες στήλες",

"V_TITLE_LABEL": "Επιλέξτε είδος οπτικοποίησης δεδομένων",
"V_CHART_PIE_LABEL": "Ετικέτα πίτας",

"V_CHART_AXIS_X_LABEL": "Άξονας X:",
"V_CHART_AXIS_Y_LABEL": "Άξονας Y:",

"V_GRID_HEADER_PIE_VALUE_LABEL": "Φέτες πίτας",
"V_GRID_HEADER_PIE_LABEL_LABEL": "Ετικέτα",

"V_GRID_HEADER_CHART_AXIS_X_LABEL": "Άξονας X",
"V_GRID_HEADER_CHART_AXIS_Y_LABEL": "Άξονας Υ",

"V_GRID_HEADER_CHART_AXIS_Y_TOOLTIP_LABEL": "Επεξήγηση",
"V_CHART_AXIS_X_LABEL_Text": "Ετικέτα κατηγορίας:",
"V_CHART_AXIS_Y_LABEL_Text": "Ετικέτα τιμών:",

"PIE_CHART_TOOLTIP": "Διάγραμμα πίτας",
"LINE_CHART_TOOLTIP": "Διάγραμμα γραμμών",
"COLUMN_CHART_TOOLTIP": "Διάγραμμα στηλών",
"STACKED_COLUMN_CHART_TOOLTIP": "Διάγραμμα σωρευμένων στηλών",
"CLUSTERED_COLUMN_CHART_TOOLTIP": "Διάγραμμα ομαδοποιημένων στηλών",
"BAR_CHART_TOOLTIP": "Διάγραμμα ράβδων",
"STACKED_BAR_CHART_TOOLTIP": "Διάγραμμα σωρευμένων ράβδων",
"CLUSTERED_BAR_CHART_TOOLTIP": "Διάγραμμα ομαδοποιημένων ράβδων",
"TABLE_CHART_TOOLTIP": "Πίνακας",
"WIDGET_WAIT_STATUS": "Αναμονή για στοιχεία εισόδου ...",
"SINGLE_RESOURCE_PROMPT": "Εμφανίζεται μόνο ένας επιλεγμένος πόρος"

//end v1.x content
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

