/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("ibm/tivoli/tip/navwidget/gauge/dijit/ValueStatusGaugeView", 
	[
		"dojo/_base/declare",
		"dojoe/gauge/valuestatus/ValueStatusGauge",
		"ibm/tivoli/tip/navwidget/gauge/dijit/AbstractGaugeView"
	],
	function(declare, ValueStatusGauge, AbstractGaugeView) {
		return declare("ibm.tivoli.tip.navwidget.gauge.dijit.ValueStatusGaugeView", [ValueStatusGauge, AbstractGaugeView], {

		postMixInProperties: function() {
			console.debug("postMixInProperties : ValueStatusGaugeView");
			this._gauge = this;
			this.inherited("postMixInProperties", arguments);
		},
		
		_handleItemStatusChangedEvent: function(event) {
			console.debug("itemStatusChanged event received, but not handled");
		}
});
});
