/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/cs/resources", {      
   "SEARCH_TEXT":"Vyhledat",
   "SAVE_TEXT":"Uložit úpravy",
   "PRINT_TEXT":"Tisk",
   "SELECT_TEXT":"Vybrat",
   "PAN_TEXT":"Okénko",
   "ZOOM_SELECT_TEXT":"Vybrat přiblížení/oddálení",
   "ZOOM_IN_TEXT":"Zvětšit",
   "ZOOM_OUT_TEXT":"Zmenšit",
   "FIT_CONTENTS_TEXT":"Přizpůsobit obsah",
   "REFRESH_TEXT":"Obnovit",
   "TOGGLE_LAYOUT_TEXT":"Přepnout rozvržení",
   "TREE_LAYOUT":"Strom",
   "HIERARCHICAL_LAYOUT":"Hierarchické",
   "FORCE_DIRECTED_LAYOUT":"Řízené",
   "GRID_LAYOUT":"Mřížka",
   "SHORT_LINK_LAYOUT":"Krátký odkaz",
   "LONG_LINK_LAYOUT":"Dlouhý odkaz",
   "CUSTOM":"Vlastní",
   "SAVE":"Uložit úpravy",
   "CANCEL":"Storno",
   "RESTORE_DEFAULTS":"Obnovit výchozí",
   "LAYOUT_MODE":"Režim rozvržení:",
   "FLOW_DIRECTION":"Směr toku:",
   "LINK_STYLE":"Globální styl odkazu:",
   "CONNECTOR_STYLE":"Styl konektoru:",
   "GLOBAL_ALIGNMENT":"Globální zarovnání:",
   "LEVEL_ALIGNMENT":"Zarovnání úrovně:",	
   "LEVEL_JUSTIFICATION":"Ospravedlnění úrovně:",
   "LEVELING_STRATEGY":"Strategie vyrovnání:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Globální horizontální zarovnání:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Globální vertikální zarovnání:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximální počet uzlů na řádek nebo sloupec:",
   "PREFERRED_LINKS_LENGTH":"Upřednostňovaná délka odkazu:",
   "LINK_STYLE":"Styl odkazu:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximální povolený počet pohybů na iteraci:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Povolený počet iterací:",
   "CONVERGENCE_THRESHOLD":"Prahová hodnota konvergence:",
   "GLOBAL_LINK_STYLE":"Globální styl odkazu:",
   "GLOBAL_SELF_LINK_STYLE":"Globální styl vlastního odkazu:",
   "GLOBAL_CONNECTOR_STYLE":"Globální styl konektoru:",
   "LINK_OFFSET":"Posunutí odkazu:",
   "MIN_FINAL_SEGMENT_LENGTH":"Minimální konečná délka segmentu:",
   "VERTICAL_MIN_OFFSET":"Vertikální minimální posunutí:",
   "HORIZONTAL_MIN_OFFSET":"Horizontální minimální posunutí:",
   "ASPECT_RATIO":"Poměr stran:",
   "ALGORITHM":"Algoritmus:",
   "GENERAL":"Obecné",
   "PROPERTIES":"Vlastnosti",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologické zobrazení",
   "RESOURCE_VIEW":"Zobrazení prostředků",
   "RELATIONSHIP_VIEW":"Zobrazení vztahů",
   "LINK_VIEW":"Zobrazení odkazů",
   "GET_ADOBE_FLASH_PLAYER":"Získat Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Chcete-li zobrazit tento obsah, zkontrolujte, zda váš systém splňuje<a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>požadavky na systém</a> a zde je v počítači nainstalován Adobe&reg; Flash&reg; Player verze ${version} a vyšší.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Žádný",
   "ITEM_REMOVED_MESSAGE":"Tato položka byla odebrána z datové sady.",
   "LINK_REMOVED_MESSAGE":"Tento odkaz byl odebrán z datové sady.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Tento vztah byl odebrán z datové sady.",
   "ACTIONS":"Akce",
   "PRINT_AS_BITMAP":"Vytisknout jako bitovou mapu:",	   
   "PAGE_COUNT":"Počet stránek na šířku nebo na výšku:",	 
   "PAGE_COUNT_MAX":"Maximální počet vytištěných stránek:",	  
   "PAGE_MARGIN":"Okraj stránky:",
   "TYPE":"Typ",
   "SOURCEITEM":"Od",
   "TARGETITEM":"Do",
   "ITEM1":"Položka 1",
   "ITEM2":"Položka 2",
   "DATASET1":"Datová sada 1",
   "DATASET2":"Datová sada 2",
   "LOADING":"Načítání",
   "RESULTS_CLICK_TO_SELECT":"Výsledky - vyberte klepnutím",
   "RESULTS":"Výsledky",
   "NO_RESULTS_FOUND":"Nebyly nalezeny žádné výsledky",
   "CENTER_IN_VIEW":"Zarovnat na střed",
   "HIGHLIGHT":"Zvýraznit",
   "CLEAR_SEARCH":"Vymazat vyhledávání",
   "DEPTH":"Hloubka",
   "LAYOUT":"Rozvržení",
   "ACTIONS":"Akce",
   "SAVE_CANVAS_CONTEXT":"Uložit úpravy",
   "SAVE_CUSTOMIZATION_QUESTION":"Opravdu chcete uložit všechny úpravy?",
   "TOGGLE_VIEW":"Přepnout zobrazení",
   "ALTERNATING_RADIAL":"střídavě radiální",
   "AUTOMATIC":"automatický",
   "BORDER_CENTER":"střed ohraničení",
   "BOTTOM":"dole",
   "CENTER":"střed",
   "CENTERED":"na střed",
   "DIRECT":"přímé",
   "EAST":"východ",
   "EVENLY_SPACED":"rovnoměrné mezery",
   "FAST_MULTILEVEL":"rychlé víceúrovňové",
   "FIXED_OFFSET":"pevné posunutí",
   "FREE":"volné",
   "HIGHER_LEVELS":"vyšší úrovně",
   "INCREMENTAL":"přírůstkové",
   "LEFT":"levé",
   "LEVEL":"úroveň",
   "LOWER_LEVELS":"dolní úroveň",
   "MIXED":"smíšené",
   "NO_RESHAPE":"bez změny tvaru",
   "NON_INCREMENTAL":"bez přírůstku",
   "NORTH":"sever",
   "OPTIMAL":"optimální",
   "ORTHOGONAL":"pravoúhlé",
   "POLYLINE":"lomená čára",
   "RADIAL":"radiální",
   "RIGHT":"pravé",
   "SEMI_OPTIMAL":"polooptimální",
   "SOUTH":"již",
   "SPREAD_OUT":"rozložené",
   "STRAIGHT":"rovné",
   "THREE_BENDS_ORTHOGONAL":"tři ohyby pravoúhlé",
   "TILE_TO_COLUMNS":"uspořádat podle sloupců",
   "TILE_TO_GRID_FIXED_HEIGHT":"uspořádat podle pevné výšky mřížky",
   "TILE_TO_GRID_FIXED_WIDTH":"uspořádat podle pevné šířky mřížky",
   "TILE_TO_ROWS":"uspořádat podle řádků",
   "TIP_LEAVES_OVER":"překlopit nejnižší prvky dimenze",
   "TIP_OVER_BOTH_SIDES":"překlopit obě strany",
   "TIP_OVER_EAST_WEST":"překlopit východ-západ",
   "TIP_OVER_WEST":"překlopit západ",
   "TIP_OVER":"překlopit",
   "TIP_ROOTS_AND_LEAVES_OVER":"překlopit kořeny a nejnižší prvky dimenze",
   "TIP_ROOTS_OVER":"překlopit kořeny",
   "TOP":"horní",
   "TWO_BENDS_ORTHOGONAL":"dva ohyby pravoúhlé",
   "WEST":"západ",
   "EXPORT":"Exportovat",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exportovat jako obrázek",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Chcete diagram exportovat jako obrázek? Vyberte prosím požadovaný formát níže.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Rozšířené vyhledávání",
   "RESOURCES_COUNT": "Prostředky: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Vztahy: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Filtrováno: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Vybráno: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Vše",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Upravené rozvržení: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Chyba",
   "PENDING":"Nevyřízený",
   "CLOSE":"Zavřít"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

