// wrapped by build app
define("ibm/tivoli/tip/navwidget/table/dijit/TableView", ["dijit","dojo","dojox","dojo/i18n!ibm/tivoli/tip/navwidget/nls/resources","dojo/require!dijit/layout/BorderContainer,dojo/data/ItemFileReadStore,ibm/tivoli/tip/dojo/Global,ibm/tivoli/navmodel/Trace,ibm/tivoli/tip/navwidget/dijit/RESTContextMenuProvider,ibm/tivoli/tip/navwidget/topology/dijit/MenuProviderHelper,ibm/tivoli/tip/navwidget/dijit/NavWidgetPluggableView,ibm/tivoli/tip/navwidget/dijit/NavWidgetTabContainerPluggableView,ibm/tivoli/tip/navwidget/table/dijit/TableViewItemsTable,ibm/tivoli/tip/navwidget/table/dijit/TableViewLinksTable,dijit/dijit,dijit/layout/TabContainer,dijit/layout/ContentPane"], function(dijit,dojo,dojox){
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/* 
 * Licensed Materials - Property of IBM
 * 
 * TIVOTCT00
 * 
 * �Restricted Materials of IBM�
 * 
 * Copyright IBM Corp. 2011, 2012 All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or 
 * disclosure restricted by GSA ADP Schedule Contract with 
 * IBM Corp. 
 */

dojo.provide ("ibm.tivoli.tip.navwidget.table.dijit.TableView");

dojo.require("dijit.layout.BorderContainer");
// dojo.require("dojox.grid.DataGrid");   // 49426  Gridx
dojo.require("dojo.data.ItemFileReadStore");
dojo.require("ibm.tivoli.tip.dojo.Global");
dojo.require("ibm.tivoli.navmodel.Trace");
dojo.require("ibm.tivoli.tip.navwidget.dijit.RESTContextMenuProvider");
dojo.require("ibm.tivoli.tip.navwidget.topology.dijit.MenuProviderHelper");
dojo.require("ibm.tivoli.tip.navwidget.dijit.NavWidgetPluggableView");
dojo.require("ibm.tivoli.tip.navwidget.dijit.NavWidgetTabContainerPluggableView");
dojo.require("ibm.tivoli.tip.navwidget.table.dijit.TableViewItemsTable");  // 40354
dojo.require("ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable");  // 40354

dojo.require("dijit.dijit");
dojo.require("dijit.layout.TabContainer");
dojo.require("dijit.layout.ContentPane");
// Included by base class     dojo.require("ibm.tivoli.tip.dijit.BusyPane");
dojo.requireLocalization("ibm.tivoli.tip.navwidget", "resources");

ibm.tivoli.tip.navwidget.table.dijit.TableView._trace = new ibm.tivoli.navmodel.Trace("ibm.tivoli.tip.navwidget.table.dijit.TableView");

dojo.declare ("ibm.tivoli.tip.navwidget.table.dijit.TableView",
	[ibm.tivoli.tip.navwidget.dijit.NavWidgetTabContainerPluggableView],
	{		
		// summary:
		//		Coming soon
		// description:
		//		Coming soon
	
		// cmProvider: Object
		//		Coming soon
		cmProvider:null, 
		
		// showTooltip: boolean
		//		Optionally hide tooltip
		showTooltip: true,   // 39581		
		
		//*************************** 
		// "Private"
		//***************************
		
		// _trace: [private] Trace
		//		Utilitiy for trace and logging
		_trace: ibm.tivoli.tip.navwidget.table.dijit.TableView._trace,
		
		// _DEFAULT_WIDGET_DEF_INFO: [private] Object
		//		Coming soon
		_DEFAULT_WIDGET_DEF_INFO: {
			className: "ibm.tivoli.navmodel.WidgetDef", //NOTE: Think there is supposed to eventually be a TableViewDef
			baseUrl: "/ibm/tivoli/rest",
	    	provider: "any",
	    	datasource: "any",
	    	widget: "tableview",
	    	definition: "DefaultTableView"
		},

		constructor: function (container, div, cmProvider) {		
			// summary:
			//		Coming soon
			// description:
			//		Coming soon
			// container:
			//		
			// div: 
			//		
			// cmProvider:	
			//		
	
			// Use the supplied context menu provider if passed in
		        if (cmProvider) {
		        	this.cmProvider = cmProvider;
		        }
		        else {
			        // create a default context menu provider
		            var helper = new ibm.tivoli.tip.navwidget.topology.dijit.MenuProviderHelper();
			        this.cmProvider = new ibm.tivoli.tip.navwidget.dijit.RESTContextMenuProvider(
			        			{
			        				view: this,
			        				getMenuItemsCallback: dojo.hitch(helper, helper.getMenuItems),
			        				getMenuCommandCallback: dojo.hitch(helper, helper.getMenuCommand)
			        			}
			        		);	        	
		        }

		},

		
		postCreate: function(){		
			// summary:
			//		Coming soon
			// description:
			//		Coming soon
			
			//Call superclass
			this.inherited(arguments);
		},
		
		startup: function(){		
			// summary:
			//		Coming soon
			// description:
			//		Coming soon
			
			this.inherited(arguments);
		},
		
		destroy: function(){		
			// summary:
			//		Coming soon
			// description:
			//		Coming soon
			
			//TODO
            this.inherited(arguments);
		},
		
		_getDefaultWidgetDefInfo: function(){
			return this._DEFAULT_WIDGET_DEF_INFO;
		},
		
		// 40354: overriding from NavWidgetPluggableView to make sure we use
		//        can override the default widget definition multiple selection
		//        for DefaultItemsTableView and DefaultLinksTableView
		_setDatasetSetWidgetDefs: function(/*ibm.tivoli.navmodel.Dataset*/ dataset, /*ibm.tivoli.navmodel.AbstractWidgetDef?*/datasetWidgetDefinition, /*ibm.tivoli.tip.navwidget.dojo.NavWidgetBaseViewState?*/state){
			// summary:
			//		Called during the setDataset lifecycle for setting widget defs specified in the dataset to the view
			//		Subclasses will probably NOT need to override.
			// dataset:
			//		The Client Nav Model Dataset that the pluggable view should render.
			// datasetWidgetDefinition:
			//		Optional widget definition to use while visualizing this particular dataset
			// description:
			//		Sets widget defs specified in the dataset to the view
			// tags:
			//		protected
			
			this.inherited(arguments);
			var childPluggableViewDefinitions = this._getPluggableViewDefinitions();
			var viewDef = null;
			if (childPluggableViewDefinitions) {
				for (var i = 0; i < childPluggableViewDefinitions.length; i++) {
					viewDef = childPluggableViewDefinitions[i];
					// Map the child view class names to the ones that will
					// specify selection mode single in augmentGridParams( )
					switch (viewDef.className) {
					case "ibm.tivoli.tip.navwidget.table.dijit.ItemsTableView":
						viewDef.className = "ibm.tivoli.tip.navwidget.table.dijit.TableViewItemsTable";
						break;
					case "ibm.tivoli.tip.navwidget.table.dijit.LinksTableView":
						viewDef.className = "ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable";
						break;
					default:
						break;
					}
				}
			}
		},
		
		// 39581
		_setDatasetCreatePluggableViewAugmentViewCreationArgs: function (creationArgs) {
			// summary:
			//		TODO
			// description:
			//		TODO
			// tags:
			//		protected	
			
			this.inherited(arguments);
			creationArgs.showTooltip = this.showTooltip;
		},		
		
		isApplicable: function(/*ibm.tivoli.navmodel.Dataset*/dataset){
			return this.inherited(arguments);
		}
});

});
