/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/en/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "Chassis",
	HostAndVs : "Hosts and VSs",
	Network : "Network",
	Storage : "Storage",
	Favorites : "Favorites",
	AllSystems : "All Systems",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "All Virtual Servers",
	AllChasis : "All Chassis",
	AllComputeNodes : "All Compute Nodes",
	AllStoragePools : "All Storage Pools",
	AllStorageNodes : "All Storage Nodes",
	AllLogicalNetworks: "All Logical Networks",
	AllVlans : "All VLANs",
	AllSubnets : "All Subnets",
	AllSwitches : "All Switches",
	LogicalNetworks: "Logical Networks",
	Vlans : "VLANs",
	Subnets : "Subnets",
	Switches : "Switches",
	AllScalableSystems : "All Scalable Systems",
	
	// Descriptions of dashbar icons
	ChassisDescription : "Contains chassis",
	HostAndVsDescription : "Contains virtual servers and hosts",	
	NetworkDescription : "Contains all network systems",	
	StorageDescription : "Contains all storage systems",	
	FavoritesDescription : "Contains favorite items",	
	AllSystemsDescription : "Contains all systems that can be managed including servers, chassis, operating systems, switches, blades, and storage systems",	
	
	// Group Health Tips
	RecentEvents : "Recent Events:",
	NoRecentEvents : "no recent events",
	RecentAlerts : "Recent Alerts:",
	NoRecentAlerts : "no recent alerts",
	Source : "Source",
	DateAndTime : "Date and Time",
	Event : "Event",
	
	// General Dashbar
	ResourceDashboard : "Resource Dashboard",
	Loading : "Loading..."
	//Dashboard Resources end
});
