/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2014 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/es/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "Buscar un sistema o una tarea",
	NoTasksFound : "(no se han encontrado tareas)",
	NoGroupsFound : "(no se han encontrado grupos)",
	NoResourcesFound : "(no se han encontrado recursos)",
	Close : "Cerrar diálogo.",
	RefreshCache : "Se ha renovado {0} hace {1}. Renueve para incluir los recursos recién añadidos/modificados en los resultados.",
	Minutes : "minuto(s)",
	Hours : "hora(s)",
	Days : "día(s)",
	Searching0 : "Buscando.",
	Searching1 : "Buscando..",
	Searching2 : "Buscando...",
	FinderRefreshing : "Renovando...",
	MoreTasks : "Refinar los términos de búsqueda para obtener más resultados.",
	MoreResources : "Mostrar todo.",
	MoreGroups : "Refinar los términos de búsqueda para obtener más resultados.",
	FinderTaskMenu : "Tareas",
	FinderResourceMenu : "Recursos",
	FinderGroupMenu : "Grupos",
	Chassis : "Chasis",
	Resources : "Recursos",
	FinderTooltipHelp : "Utilice este buscador incorporado para buscar todas las tareas y recursos gestionados.",
	//tooltip
	FinderTooltipClickResources : "Pulse este recurso para ver más detalles",
	FinderTooltipClickTask : "Si pulsa aquí se abrirá una nueva ventana de navegador y se lanzará esta tarea.",
	FinderTooltipClickJob : "Pulse aquí para planificar este trabajo.",
	FinderTooltipClickUrl : "Si pulsa aquí se abrirá una nueva ventana de navegador y se cargará este URL.",
	FinderTooltipClickPage : "Pulse aquí para abrir esta página.",
	FinderTooltipClickDialog : "Pulse aquí para abrir este diálogo.",
	FinderTooltipClickGroup : "Pulse este grupo para ver sus miembros",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "Categoría: ",
	FinderTooltipExternalTask : "Tarea externa: ",
	FinderTooltipJob : "Trabajo:",
	FinderTooltipUrl : "Url:",
	FinderTooltipPage : "Página:",
	FinderTooltipDialog : "Diálogo: ",
	FinderTooltipTaskDescription : "Descripción:",
	SelectedResources : "{0} recursos seleccionados :",
	SelectedResource : "'{0}':",
	SelectedResourceText : "Tareas contextuales para {0}",
	GlobalTasksText : "Tareas globales : ",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "Inicio",
	Dashboards : "Paneles de instrumentos",
	GettingStarted : "Cómo empezar",
	InitialSetup : "Configuración inicial",
	FlexExplorer : "Explorador de Flex",
	QuickStartGuides : "Guías de inicio rápido ",
	SummaryPages : "Páginas de resumen",
	VMControl : "VMControl",
	StorageControl : "Storage Control",
	NetworkControl : "Network Control",
	ServiceAndSupport : "Servicio y soporte",
	CheckForUpdates : "IBM&reg; FSM - Comprobación de la existencia de nuevas actualizaciones",
	Systems : "Sistemas",
	SystemsMenuHeading : "Sistemas",
	AllGroups : "Todos los grupos",
	AllOSs : "Todos los SO",
	PowerSystemsManagement : "Gestión de Power Systems",
	Configuration : "Configuración",
	Patterns : "Patrones",
	Firmware : "Firmware",
	ShowUpdates : "Mostrar actualizaciones",
	Discover : "Descubrir",
	DeployComputeNodeImages : "Desplegar imágenes de servidor",
	DeployVirtualAppliance : "Desplegar dispositivo virtual",
	Monitor : "Supervisión",
	Status : "Estado",
	ActiveStatus : "Estado activo",
	EventHistory : "Registro de sucesos",
	ServiceProblems : "Problemas de servicio",
	Monitoring : "Supervisión ",
	Monitors : "Supervisores",
	Thresholds : "Umbrales",
	Compliance : "Conformidad",
	MonitoredSystems : "Sistemas supervisados",
	Policies : "Políticas",
	Automation : "Automatización",
	Plans : "Planes",
	Actions : "Acciones",
	EventFilters : "Filtros de sucesos",
	CommandDefinitions : "Definiciones de mandatos",
	Jobs : " Trabajos",
	ActiveAndScheduledJobs : "Trabajos activos y planificados",
	CreateAutomationPlan : "Crear plan de automatización",
	Security : "Seguridad",
	Permissions : "Permisos",
	UsersAndGroups : "Usuarios y grupos",
	Roles : "Roles",
	Credentials : "Credenciales",
	Access : "Acceso",
	SystemsWithNoAccess : "Sistemas sin acceso",
	Auditing : "Auditoría",
	AuditLog : "Registro de auditoría",
	ChangePassword : "Cambiar contraseña",
	CreateUser : "Crear usuario",
	Utilities : "Programas de utilidad",
	Settings : "Valores",
	AutoRename : "Redenominación automática",
	ServiceandSupport : "Servicio y soporte",
	ServerAuditing : "Servidor de auditoría",
	Administration : "Administración ",
	FSMSettings : "Valores de IBM&reg; FSM",
	Plugins : "Plug-ins",
	ApplicationExtensions : "Aplicaciones",
	UserPreferences : "Preferencias del usuario",
	EventLog : "Registro de sucesos",
	ManagementServer : "Servidor de gestión",
	NetworkManagement : "Gestión de red",
	BackupAppliance : "Hacer copia de seguridad de IBM&reg; FSM",
	HelpMenu : "Ayuda",
	IntroductionToIBMFlexExplorer : "Introducción al explorador de IBM&reg; FSM",
	FindingTasksInIBMFlexExplorer : "Búsqueda de tareas en el explorador de IBM&reg; FSM",
	Help : "Ayuda",
	About : "Acerca de",
	IBMSupport : "Soporte de IBM&reg;",
	LiCTooltip : "Se abre en {0}",
	Signout : "Finalizar sesión",

	//General dialog labels
	OK : "Aceptar ",
	CANCEL : "Cancelar",
	SUBMIT : "Enviar",
        YES    : "Sí",
        NO     : "No",
	
	//Popup blocker warning
	PopupBlockerWarning : "El bloqueador de elementos emergentes está habilitado para este sitio. Inhabilite el bloqueador de elementos emergentes del navegador de este sitio y vuelva a intentarlo.",
	
	//ISC launched in tab pages warning
	LaunchedInTabs1 : "La tarea {0} que ha iniciado está en la ficha del navegador que está oculta detrás de otras fichas.",
	LaunchedInTabs2 : "Para trabajar con la tarea, seleccione la ficha o mueva la ficha hacia su propia ventana. Para evitar esta situación en el futuro, utilice una ventana de navegador separada para {0}.",
	InvalidUser : "El usuario {0} es desconocido. Si el servidor se está iniciando, intente de nuevo en unos minutos.",
		
	UserNotAuthorized : "El usuario no tiene autorización para ver el contenido de esta página.",
	UserNotAuthorizedDescription: "Asegúrese de que un rol de usuario con permisos adecuados está asignado al usuario.  Como mínimo, se requieren permisos de lectura de grupo y explorador de recursos para ver las páginas.",
	
	HybridDataset: "{0} elementos están en el grupo. {1} se han filtrado, pero solo se muestra los primeros {2}.",
	HybridDatasetDescription: "Utilice la función de búsqueda y la función de filtro para restringir los resultados.",
	HybridSummaryCounts: "Total: {0}  Filtrado: {1}  Disponible: {2}  Seleccionado: {3}",
	
		//SSL Certification warning messages
	SSLCertExpiryTitle : "El certificado de seguridad presentado por la interfaz web de {0} ha caducado el {1}.",
	SSLCertExpiryExplan : "Los certificados tienen una fecha de caducidad tras la cual el certificado deja de ser válido. Se puede seguir accediendo a la interfaz cuando el certificado caduca, pero se solicitará a los usuarios que accedan a la interfaz web que confíen en el certificado caducado.", 
	SSLCertExpiryResponse : "Siga el proceso <a href=\"\">en este enlace</a> para sustituir el certificado caducado por otro nuevo.",
	SSLCertExpiryWarningTitle : "El certificado de seguridad presentado por la interfaz web de {0} caducará el {1}.",
		
		//NIST Compliant information messages
	NISTComplianceInfoTitle : "El {0} se ha configurado para cumplir con la norma de seguridad SP 800-131A del Instituto Nacional de Estándares y Tecnología (NIST).",
	NISTComplianceInfoExplan : "El sistema se ha configurado para cumplir con la norma SP 800-131A del NIST. Cuando el sistema se encuentra en este modo, solo se pueden utilizar las tecnologías listadas como <q/>aceptables<q/>.", 
	NISTComplianceInfoResponse : "Para obtener más información sobre la forma en que esto afecta a la interfaz web, lea <a href=\"\">en este enlace</a> del Information Center."		
});

