require({cache:{
'url:ibm/usmi/scheduler/wizard_pages/templates/OptionsPage.html':"<div>\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2012, 2013 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n<!-- \r\n\t<div class=\"tiv-page-header\">\r\n\t\t<h2>Options</h2>\r\n\t\t<p>Additional options</p>\r\n\t</div>\r\n\t-->\r\n\t<label for=\"SystemTimes\">${persistResources.SYSTEM_TIMES_LABEL}</label>\r\n\t<div id=\"SystemTimes\">\r\n\t\t<input id=\"Options-MgtServerTime\" type=\"radio\" name=\"timeToUse\" data-dojo-type=\"dijit.form.RadioButton\" dojoAttachPoint=\"useMgmtServerTime\" checked value=\"true\" />\r\n            <label for=\"Options-MgtServerTime\"> ${persistResources.MANAGEMENT_SERVER_TIME_RADIO} </label><br /> \r\n\t\t<input id=\"Options-LocalSystemTime\" type=\"radio\" name=\"timeToUse\" data-dojo-type=\"dijit.form.RadioButton\" id=\"useLocalSystemTime\" value=\"localSystem\" />\r\n            <label for=\"Options-LocalSystemTime\"> ${persistResources.LOCAL_SYSTEM_TIME_RADIO} </label><br />\r\n\t</div>\r\n\t<label for=\"UnavailableSystems\">${persistResources.UNAVAILABLE_SYSTEMS_LABEL}</label>\r\n\t<div id=\"UnavailableSystems\">\r\n\t\t<input id=\"Options-FailSysNotAvail\" type=\"radio\" name=\"unavailableSystems\" data-dojo-type=\"dijit.form.RadioButton\" dojoAttachPoint=\"failSystems\"\tchecked value=\"true\" />\r\n            <label for=\"Options-FailSysNotAvail\"> ${persistResources.FAIL_IF_UNAVAILABLE_RADIO} </label><br /> \r\n\t\t<input id=\"Options-RunSysAvail\" type=\"radio\" name=\"unavailableSystems\" data-dojo-type=\"dijit.form.RadioButton\" id=\"runSystems\" value=\"run\" />\r\n            <label for=\"Options-RunSysAvail\"> ${persistResources.RUN_WHEN_AVAILABLE_RADIO} </label><br />\r\n\t</div>\r\n\t<label for=\"MaximumJobInstances\">${persistResources.MAXIMUM_JOBS_LABEL}</label>\r\n\t<div id=\"MaximumJobInstances\">\r\n\t\t<input type=\"text\" dojoAttachPoint=\"maxiumJobInstances\" dojotype=\"dijit.form.NumberSpinner\" data-dojo-props=\"constraints:{min:10,max:100,places:0}\" value=\"100\" \r\n\t\t    dojoAttachEvent=\"onChange:doSubmitButtonCheck\" intermediateChanges=\"true\" /><br />\r\n\t</div>\r\n</div>\r\n"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
/*global define */
define("ibm/usmi/scheduler/wizard_pages/OptionsPage", [ "dojo/_base/declare",
	"dijit/_TemplatedMixin",
	"dijit/_WidgetsInTemplateMixin",
	"dijit/form/RadioButton",
	"dijit/form/NumberSpinner",
	"ibm/tivoli/tip/navwidget/dijit/DefaultMessageHandler",
	"dojoe/wizard/Page",
	"dojo/text!./templates/OptionsPage.html",
	// The resource bundle definition
	"dojo/i18n!./nls/JobLaunchWizardResources" ], function (
	declare, _TemplatedMixin, _WidgetsInTemplateMixin, RadioButton, NumberSpinner, DefaultMessageHandler, Page,
	OptionsPage, mri) {

	return declare([ Page,
		_TemplatedMixin,
		_WidgetsInTemplateMixin ], {

		templateString : OptionsPage,
		persistResources : mri,
		title : "",

		postCreate : function () {
			// set the title of the page
			this.title = this.persistResources.OPTIONS_PAGE_TITLE;
		},

		allowNext : function () {
			return this.isValid();
		},

		allowMarkAsComplete : function () {
			return true;
		},

		allowFinish : function () {
			return this.isValid();
		},

		isValid : function () {
			return this.validate();
		},

		visited : function () {
			// indicating that this page has already been visited allows our submit button to be enabled initially...
			return true;
		},

		doSubmitButtonCheck : function () {
			// Check if Submit button is disabled first
			if (this.wizard._finishButton.attr("disabled") === true) {
				// retrieve the maximum number of job instances
				var numberOfInstances = this.maxiumJobInstances.get('value');

				// Check if number of instances is valid
				if ((numberOfInstances >= 10) && (numberOfInstances <= 100)) {
					// Enable Next button
					this.wizard.enableFinishButton(true);
				}
			}
		},
		
		validate : function () {
			var msgHandler = new DefaultMessageHandler();
			var msgId = ""; // not specifying a message ID
			var msgSeverity = "error";
			var theMessageTitle = "";

			// retrieve the maximum number of job instances
			var numberOfInstances = this.maxiumJobInstances.get('value');

			if ((!numberOfInstances) || (numberOfInstances < 10) || (numberOfInstances > 100)) {
				// the user is choosing a value outside our range....that's not allowed....
				theMessageTitle = this.persistResources.MAXIMUM_JOB_INSTANCES_VALUE_ERROR;
				msgHandler.displayMessage(msgId, msgSeverity, theMessageTitle);
				return false;
			} else {
				return true;
			}
		}

	});
});
