require({cache:{
'url:ibm/usmi/widgets/templates/ChangePasswordWindow.html':"<div style=\"height:100%\" dojoAttachPoint=\"outDialog\">\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2012 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n<table>\r\n<tr>\r\n<td width=\"25%\"></td>\r\n<td width=\"50%\" align=\"center\">\r\n\r\n<div dojoAttachPoint=\"inDialog\" class=\"logindialog\" dojoType=\"dijit.layout.ContentPane\">\r\n\t<div class=\"logindialogcontent\">\r\n\t\t<image src=\"${titleImage}\" />\r\n\t\t<div class=\"title\">${nls.TITLE}</div>\r\n\t\t<div class=\"version\">${nls.VERSION}</div>\r\n\t\t<div class=\"version\">${nls.CHANGEPASSWORD}</div>\r\n\t\t<div dojoAttachPoint=\"loginPane\">\r\n\t\t\t<div class=\"line\"><input id=\"${id}UserName\" hint=\"${nls.USER_NAME}\" hintPosition=\"inside\" dojoAttachEvent=\"onKeyDown:_userKeyDown\" type=\"text\" dojoType=\"idx.oneui.form.TextBox\" name=\"username\" required=\"true\" value=\"\" dojoAttachPoint=\"loginUserName\" missingMessage=\"${nls.INVALID_MSG_USR}\" invalidMessage=\"${nls.INVALID_MSG_USR}\" regExp=\"${regExp}\"></div>\r\n\t\t\t<div class=\"line\"><input id=\"${id}OldPassword\" hint=\"${nls.OLDPASSWORD}\" hintPosition=\"inside\" dojoAttachEvent=\"onKeyDown:_oldPasswordKeyDown\" type=\"password\" dojoType=\"idx.oneui.form.TextBox\" name=\"password\" required=\"true\" value=\"\" dojoAttachPoint=\"loginOldPassword\" missingMessage=\"${nls.INVALID_MSG_PWD}\" invalidMessage=\"${nls.INVALID_MSG_PWD}\" regExp=\"${regExp}\"></div>\r\n\t\t\t<div class=\"line\"><input id=\"${id}NewPassword\" hint=\"${nls.NEWPASSWORD}\" hintPosition=\"inside\" dojoAttachEvent=\"onKeyDown:_newPasswordKeyDown\" type=\"password\" dojoType=\"idx.oneui.form.TextBox\" name=\"password\" required=\"true\" value=\"\" dojoAttachPoint=\"loginNewPassword\" missingMessage=\"${nls.INVALID_MSG_PWD}\" invalidMessage=\"${nls.INVALID_MSG_PWD}\" regExp=\"${regExp}\"></div>\r\n\t\t\t<div class=\"line\"><input id=\"${id}RepeatPassword\" hint=\"${nls.REPEATPASSWORD}\" hintPosition=\"inside\" dojoAttachEvent=\"onKeyDown:_repeatPasswordKeyDown\" type=\"password\" dojoType=\"idx.oneui.form.TextBox\" name=\"password\" required=\"true\" value=\"\" dojoAttachPoint=\"loginRepeatPassword\" missingMessage=\"${nls.INVALID_MSG_PWD}\" invalidMessage=\"${nls.INVALID_MSG_PWD}\" regExp=\"${regExp}\"></div>\r\n\t\t\t<div class=\"line\">\r\n\t\t\t\t<button id=\"${id}Submit\" dojoType=\"dijit.form.Button\" dojoAttachPoint=\"loginButton\" dojoAttachEvent=\"onClick:_onSubmitClick\" name=\"login\">${nls.DONE}</button>\r\n\t\t\t\t<button id=\"${id}Cancel\" dojoType=\"dijit.form.Button\" dojoAttachPoint=\"cancelButton\" dojoAttachEvent=\"onClick:_onCancelClick\" name=\"cancel\">${nls.CANCEL}</button>\r\n\t\t\t</div>\r\n\t\t\t\r\n\t\t</div>\r\n\t\t<div id=\"${id}Message\" class=\"line\" dojoAttachPoint=\"messagePane\">\r\n\t\t</div>\r\n\t\t<div style=\"display:none;\">\r\n\t\t\t<form name=\"logonForm\" dojoAttachPoint=\"changePasswordHiddenForm\" action=\"/ibm/console/ChangePwdAction\" method=\"post\">\r\n\t\t\t\t<input DIR=\"ltr\" dojoAttachPoint=\"username\" name=\"username\" type=\"text\" />\r\n\t\t\t\t<input DIR=\"ltr\" dojoAttachPoint=\"password\" name=\"password\" type=\"password\" />\r\n\t\t\t\t<input DIR=\"ltr\" dojoAttachPoint=\"newpassword\" name=\"newpassword\" type=\"password\" />\r\n\t\t\t\t<input DIR=\"ltr\" dojoAttachPoint=\"newVfypassword\" name=\"newVfypassword\" type=\"password\" />\r\n\t\t\t\t<input type=\"hidden\" name=\"CfgAlias\" value=\"ldap1.\" /> \r\n\t\t\t\t<input type=\"text\" name=\"action\" value=\"OK\" />\r\n\t\t\t</form>\r\n\t\t</div>\r\n\t\t<div class=\"copyright\">&copy;${nls.COPYRIGHT}</a></div>\r\n\t</div>\r\n</div>\r\n\r\n</td>\r\n<td width=\"25%\"></td>\r\n</tr>\r\n</table>\r\n</div>"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2014 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */

define("ibm/usmi/widgets/ChangePasswordWindow", [
	"dojo/_base/declare",
	"dijit/_WidgetBase",
	"dijit/_Templated",
	"dojo/i18n!./nls/LoginWindow",
	"dojo/text!./templates/ChangePasswordWindow.html",
	"dijit/focus",
	"ibm/usmi/core/utils/Logger",
	"ibm/usmi/widgets/FrameworkMessage",
	"idx/form/TextBox",
	"idx/widget/ModalDialog",
	"dijit/form/Button",
	"dijit/layout/ContentPane"
], function (declare, _Widget, _Templated, mri, template, focus, Logger, Message) {

	return declare("ibm.usmi.widgets.ChangePasswordWindow", [
		_Widget,
		_Templated
	], {
		nls : mri,
		regExp : ".*",
		templateString : template,
		widgetsInTemplate : true,
		messageBox : undefined,
		infoDialog : undefined,
		titleImage : "js/ibm/usmi/widgets/themes/login/images/LoginLogo.png",
		nextUrl : "login.html",
		logger : new Logger("ibm.usmi.widgets", "ChangePasswordWindow"),

		postMixInProperties : function () {
			this.inherited(arguments);

			var branding = undefined;
			var brandingUrl = "dojo/text!./js/ibm/usmi/widgets/templates/loginbranding.json";
			require([ brandingUrl
			], function (loginbranding) {
				if (loginbranding) {
					branding = dojo.fromJson(loginbranding);
				}
			});

			var replaceNls = function (jsp) {
				var jspjson = dojo.fromJson(jsp);
				if (jspjson) {
					if (jspjson.FULL_PRODUCT_NAME) {
						this.nls.TITLE = jspjson.FULL_PRODUCT_NAME;
					}
					if (jspjson.PRODUCT_VERSION) {
						this.nls.VERSION = this.nls.BRANDED_VERSION + jspjson.PRODUCT_VERSION;
					}					
					//if (jspjson.COMPANY_LOGO_IMAGE_61x25) {
					//	this.titleImage = jspjson.COMPANY_LOGO_IMAGE_61x25;
					//}
					//... other keys ...
				}
			};
			if (branding && branding.enable) {
				// If branding is enabled, replace the default nls with keys
				// from branding
				this.logger.info("Branding service is enabled.", "postMixInProperties");
				var nlsBranding = "dojo/text!" + branding.url;
				require([ nlsBranding
				], dojo.hitch(this, replaceNls));
			}
		},

		postCreate : function () {
			this.inherited(arguments);
			focus.focus(dojo.byId(this.id + "UserName"));
				//when the username textbox gets focus, the hint text disappears so need to redisplay it
			this._showTextboxHint(this.loginUserName);
		},

		_userKeyDown : function (key) {
			this.cleanMessage();
			this._hideTextboxHint(this.loginUserName);
			if (key && key.keyCode === 13) {
				focus.focus(dojo.byId(this.id + "OldPassword"));
			}
		},

		_oldPasswordKeyDown : function (key) {
			this.cleanMessage();
			if (key && key.keyCode === 13) {
				focus.focus(dojo.byId(this.id + "NewPassword"));
			}
		},

		_newPasswordKeyDown : function (key) {
			this.cleanMessage();
			if (key && key.keyCode === 13) {
				focus.focus(dojo.byId(this.id + "RepeatPassword"));
			}
		},

		_repeatPasswordKeyDown : function (key) {
			this.cleanMessage();
			if (key && key.keyCode === 13) {
				focus.focus(dojo.byId(this.id + "Submit"));
				this._onSubmitClick();
			}
		},

		/*
			displays a text box's hint text
		*/
		_showTextboxHint : function (/*idx/oneui/form/TextBox*/ textbox) {
			if(textbox && textbox.get("_phspan")) {
				textbox.get("_phspan").style.display = "";
			}
		},
		
		/*
			hides a text box's hint text
		*/
		_hideTextboxHint : function (/*idx/oneui/form/TextBox*/ textbox) {
			if(textbox && textbox.get("_phspan")) {
				textbox.get("_phspan").style.display = "none";
			}
		},
		
		showDialog : function (message) {
			if (this.infoDialog) {
				this.infoDialog.destroy();
				this.infoDialog = undefined;
			}
			this.infoDialog = new idx.oneui.messaging.ModalDialog({
				id : "infoDialog",
				type : "information",
				text : message,
				/* Defect 189261 - FSM NGUI "Password changed/please log in" dialog flashes by too fast: 
				 * What was happening is that as soon as this dialog was created in _onSubmitClick(), it was overwritten by
				 * window.location.replace(this.nextUrl). Which changed the browser to a different page and therefore lost 
				 * this dialog. TODO The below changes are something of a hack, but it was quick to implement. A true fix 
				 * would be to create a new dialog which overrides idx.oneui.messaging.ModalDialog with the only thing in it 
				 * being the following:
				 * hide : function () {
				 * 		window.location.replace(this.nextUrl);
				 * 		this.inherited(arguments);
				 * }
				 * 
				 * That way if the idx.oneui.messaging.ModalDialog.hide() changes we're covered.
				*/
				nextUrl : this.nextUrl,
				hide : function () {
					window.location.replace(this.nextUrl);
					this.inherited(arguments);
					this._firstFocusItem = null;
				}
			}, this.id + "Message");
			this.messagePane.style.visibility = "visible";
			this.infoDialog.show();
		},

		showMessage : function (message) {
			this.cleanMessage();
			var trimmed = (message) ? message.replace(/(^\s*)|(\s*$)/g, "") : "";
			this.messageBox = new Message({
				type : "error",
				title : this.nls.ERROR,
				closable : false,
				collapsed : false,
				showAction : false,
				showRefresh : false,
				showViewDetails : false,
				description : trimmed,
				dateFormat : {
					selector : "time",
					timePattern : "hh:mm a"
				}
			}).placeAt(this.id + "Message", "last");

			this.inDialog.resize();
		},

		cleanMessage : function () {
			if (this.messageBox) {
				this.messageBox.destroy();
				this.messageBox = undefined;
				this.inDialog.resize();
			}
		},

		_onCancelClick : function (/*Event*/e) {
			window.location.replace(this.nextUrl);
		},

		/**
		 * Called when login button pressed Calls user 'onSubmit' method after
		 * trimming fields. Displays error message if fields invalid.
		 * 
		 * @param {Event}
		 *            e
		 */
		_onSubmitClick : function (/*Event*/e) {
			this.cleanMessage();
			this.username.value = this.loginUserName.getValue();
			this.password.value = this.loginOldPassword.getValue();
			this.newpassword.value = this.loginNewPassword.getValue();
			this.newVfypassword.value = this.loginRepeatPassword.getValue();
			var dataLoad = function (data) {
				if (this.logger.isFinest()) {
					this.logger.finest("Returned Data: " + data, "_onSubmitClick");
				}
				if (data.indexOf("ChangePwdAction") > 0) {
					this.logger.fine("Check Data: change password failed", "_onSubmitClick");
					var errorMsg = this.nls.ERROR;
					var foundMsg = data.indexOf('class="validation-error">');
					if (foundMsg > 0) {
						var start = data.indexOf(">", foundMsg + 26) + 1;
						errorMsg = data.substring(start, data.indexOf("</td>", start));
					}
					focus.focus(dojo.byId(this.id + "UserName"));
					this.showMessage(errorMsg);
					this.loginOldPassword.setValue("");
					this.loginNewPassword.setValue("");
					this.loginRepeatPassword.setValue("");
				} else {
					this.logger.fine("Check Data: change password OK", "_onSubmitClick");
					this.showDialog(this.nls.CHANGEPASSWORDDONE);
					//window.location.replace(this.nextUrl);
				}
			};
			var dataLoadError = function (error) {
				this.logger.error("Returned Error: " + error, "_onSubmitClick");
				focus.focus(dojo.byId(this.id + "UserName"));
				this.showMessage(error);
			};
			var xhrArgs = {
				form : this.changePasswordHiddenForm,
				handleAs : "text",
				load : dojo.hitch(this, dataLoad),
				error : dojo.hitch(this, dataLoadError)
			};
			dojo.xhrPost(xhrArgs);
		}
	});

});
