/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/el/GaugeOptions", {     
	"TOPLABEL":"Ετικέτα πάνω από το μετρητή",
	"LEFTLABEL":"Ετικέτα στην αρχή",
	"INFORMATIONAL":"Πληροφοριακό",
	"NORMAL":"Κανονικό",
	"MINOR":"Μικρής σπουδαιότητας",
	"MAJOR":"Μεγάλης σπουδαιότητας",
	"CRITICAL":"Κρίσιμο",
	"FATAL":"Ανεπανόρθωτο",
	"UNKNOWN":"Άγνωστο",
	"MINVALUE":"Ελάχιστη τιμή",
	"MAXVALUE":"Μέγιστη τιμή",
	"MAJORTICKSSEPARATION":"Διαχωρισμός κύριων υποδιαιρέσεων",
	"MINORTICKSSEPARATION":"Διαχωρισμός δευτερευουσών υποδιαιρέσεων",
	"UNIT":"Μονάδα",
	"SHOWTHRESHOLDSTRIP":"Εμφάνιση λωρίδας ορίων",
	"DESC_TOPLABEL":"Προαιρετικό, επιλέξτε μια ιδιότητα από τη λίστα για να δείτε την τιμή της ή πληκτρολογήστε οποιαδήποτε προσαρμοσμένη ετικέτα",
	"DESC_LEFTLABEL":"Προαιρετικό, επιλέξτε μια ιδιότητα από τη λίστα για να δείτε την τιμή της ή πληκτρολογήστε οποιαδήποτε προσαρμοσμένη ετικέτα",
	"DESC_INFORMATIONAL":"Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Πληροφοριακό",
	"DESC_NORMAL": "Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Κανονικό",
	"DESC_MINOR":"Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Προειδοποίηση μικρής σπουδαιότητας",
	"DESC_MAJOR":"Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Προειδοποίηση μεγάλης σπουδαιότητας",
	"DESC_CRITICAL":"Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Κρίσιμο",
	"DESC_FATAL":"Τιμή ορίου που υποδεικνύει την αρχή της κατάστασης Ανεπανόρθωτο",
	"DESC_MINVALUE":"Ελάχιστη τιμή που μπορεί να παρουσιάσει ο μετρητής. Καταχωρήστε μια αριθμητική τιμή ή επιλέξτε μια ιδιότητα από την αναπτυσσόμενη λίστα.",
	"DESC_MAXVALUE":"Μέγιστη τιμή που μπορεί να παρουσιάσει ο μετρητής. Καταχωρήστε μια αριθμητική τιμή ή επιλέξτε μια ιδιότητα από την αναπτυσσόμενη λίστα.",
	"DESC_MAJORTICKSSEPARATION":"Απόσταση μεταξύ κύριων υποδιαιρέσεων στο μετρητή",
	"DESC_MINORTICKSSEPARATION":"Απόσταση μεταξύ δευτερευουσών υποδιαιρέσεων στο μετρητή",
	"DESC_UNIT":"Καταχωρήστε ένα μετρικό στοιχείο για το μετρητή",
	"DESC_SHOWTHRESHOLDSTRIP":"Αν το απενεργοποιήσετε, δεν θα εμφανίζεται το εύρος ορίων στο μετρητή",
	"VALUE":"Τιμή",
	"DESC_VALUE":"Αναμενόμενη αριθμητική τιμή ή κατάσταση",
	"MSGDIALOG_GAUGES_TICKS_INVALID_PARAMS":"Ο αριθμός υποδιαιρέσεων δεν πρέπει να υπερβαίνει τις 100.",
	"MSGDIALOG_GAUGES_INVALID_RANGE":"Η μέγιστη τιμή πρέπει να είναι μεγαλύτερη από την ελάχιστη τιμή.",
	"MSGDIALOG_GAUGES_GREATER_THAN_MAX":"Η τιμή ορίου δεν βρίσκεται εντός του εύρους ελάχιστης και μέγιστης τιμής.",
	"MSGDIALOG_GAUGES_INVALID_EXPONENT" : "Η τιμή ορίου πρέπει να είναι αριθμητική",
	"NONE": 'Χωρίς',
	"NAME_UIPREVIEW": "Ενεργοποίηση προεπισκοπήσεων περιβάλλοντος χρήστη",
	"DESC_UIPREVIEW": "Αυτή η επιλογή θα ενεργοποιήσει την υποστήριξη προεπισκόπησης περιβάλλοντος χρήστη για το Open Services for Lifecycle Collaboration",
	"DEFAULT_STATUS": "Κατάσταση για μη υπάρχοντα δεδομένα",
	"DEFAULT_STATUS_DESC": "Επιλέξτε την προεπιλεγμένη κατάσταση όταν δεν υπάρχουν διαθέσιμα δεδομένα",
	"MSGDIALOG_GAUGES_INVALID_NO_DATA_STATUS":"Καταχωρήστε μια έγκυρη τιμή για το πεδίο Κατάσταση για μη υπάρχοντα δεδομένα",
	"MSGDIALOG_INVALID_MIN_MAX":"Καταχωρήστε μια έγκυρη τιμή για τα πεδία Ελάχιστη τιμή και Μέγιστη τιμή",
	"FONTSIZE":"Μέγεθος γραμματοσειράς",
	"DESC_FONTSIZE":"Προαιρετικό, επιλέξτε το μέγεθος γραμματοσειράς για τις ετικέτες",
	"FONTFAMILY":"Οικογένεια γραμματοσειράς",
	"DESC_FONTFAMILY":"Προαιρετικό, επιλέξτε μια τιμή από τη λίστα ή πληκτρολογήστε ένα έγκυρο όνομα οικογένειας γραμματοσειράς για τις ετικέτες",
	"COLORPICKER":"Χρώμα γραμματοσειράς",
	"DESC_COLORPICKER":"Προαιρετικό, πατήστε το κουμπί για να επιλέξετε ένα χρώμα γραμματοσειράς για τις ετικέτες",
	"COLORPICKER_TOOLTIP":"Πατήστε για να επιλέξετε ένα χρώμα γραμματοσειράς για τις ετικέτες",
	"DEF_COLOR": "Προεπιλεγμένο χρώμα"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

