/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/ko/QueryDatasets", {     
	"TITLE":"제목",
	"DESCRIPTION":"설명",
	"OK":"확인",
	"CANCEL":"취소",
	"SELECT_A_DATASET":"데이터 세트 선택",
	"VISUALIZATION_SETTINGS":"시각화 설정",
	"SEARCH_DESC":"조건을 입력하고 검색을 누르면 데이터 세트가 표시됩니다. 모두 보려면 그냥 검색만 누르십시오. ",
	"DATASET_DESC":"검색한 이후, 계속하려면 아래의 검색 결과에서 데이터 세트를 선택하십시오. ",
	"SEARCH":"검색",
	"SHOWALL":"모두 표시",
	"NO_DATASETS":"발견된 데이터 세트가 없음",
	"DIVIDER_HEADING":"제공자: %0 > 데이터 소스: %1",
	"SELECTED_DATASET":"데이터 세트 선택: ",
	"CHANGE":"변경",
	"MAP_VISUAL_ATTRIBUTES":"데이터 세트 컬럼으로 시각화 속성 맵핑: ",
	"CONFIG_MANDATORY_PARAMS":"필수 데이터 세트 매개변수 구성: ",
	"CONFIG_OPTIONAL_PARAMS":"선택적 데이터 세트 매개변수 구성: ",
	"VISUALIZATION_OPTIONS":"시각화 옵션: ",
	"REQUIRED_SETTINGS":"필수 설정",
	"OPTIONAL_SETTINGS":"선택적 설정",
	"DYNAMIC_UPDATES_YES":"자동 새로 고치기를 지원함",
	"DYNAMIC_UPDATES_NO":"자동 새로 고치기를 지원하지 않음",
	"VIEW_TYPE":"데이터 유형",
	"REMOTE_YES": "원격 데이터 제공자",
	"REMOTE_NO": "로컬 데이터 제공자",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"데이터 세트 컬럼으로 최소한 하나의 시각화 속성을 맵핑하십시오. ",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"모든 필수 데이터 세트 매개변수를 구성하십시오. ",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"모든 필수 데이터 세트 매개변수를 올바로 구성하십시오. ",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"모든 선택적 데이터 세트 매개변수를 올바로 구성하십시오. ",	
	"NONE": '없음',
	"NO_MAPPING_ATTRIBUTES": '<i>데이터 세트 컬럼으로 맵핑하기 위한 시각화 속성이 없습니다. </i>',
	"NO_OPTIONS": '<i>구성을 위한 시각화 옵션이 없습니다. </i>',
	"FOUND": "발견된 데이터세트",
	"NAME_UIPREVIEW": "UI 미리보기 사용",
	"DESC_UIPREVIEW": "이를 선택하면 수명 주기 협업을 위한 Open Service에 UI 미리보기 지원이 사용됩니다. ",
	"NAME_LAUNCHPAGE": "실행할 페이지",
	"DESC_LAUNCHPAGE": "선택한 항목 상세 정보 보여주기를 실행할 페이지 선택",
	"MULTI_SELECT_USAGE": "연속된 여러 항목을 선택하려면 Shift를 누른 채 클릭하거나 끄십시오. 연속되지 않은 여러 항목을 선택하거나 선택사항을 전환하려면 Ctrl을 누른 채 클릭하십시오.",
	"LIST_INPUT_USAGE": "여러 항목을 입력할 때 값의 끝을 표시하려면 Enter를 사용하십시오.",
	"PRELIMINARY_DATA_FILTER": "예비 데이터 필터",
	"DATA_FILTER_DESC": "예비 데이터 필터를 추가하려면 아래 테이블에 있는 '필터 정의' 아이콘을 사용하십시오. 테이블의 선택한 데이터 세트에서 필터가 적용된 데이터를 미리볼 수 있습니다.",
	"CUSTOM_HELP_LABEL": "도움말 URL 사용자 정의",
	"DESC_CUSTOM_HELP": "페이지에 위젯의 일반 도움말이 포함되도록 도움을 주는 URL 제공",
	"HELP_TAB_USAGE" : "사용",
	"HELP_TAB_EDIT" : "편집",
	"HELP_TAB_GENERAL" : "일반",
	"STRING_TRANSLATION_DIALOG" : "문자열 변환 특성",
	"STRING_TRANSLATION" : "문자열 변환:",
	"MODULE" : "모듈:",
	"BUNDLE_LOCATION" : "번들 위치:",
	"KEY" : "키:",
	"STRING_TRANSLATION_BUTTON" : "문자열 변환...",
	"DISABLED" : "사용 안함",
	"ENABLED" : "사용",
	"SELECT_MODULE" : "변환 모듈 선택",
	"BUNDLE_LOCATION_HINT" : "힌트: 'classes/com/ibm/isclite/portlet/nl/MyResource' 형식으로 위치 입력",
	"CUSTOM_PREVIEW_URL" : "사용자 정의 미리보기 URL.",
	"DESC_CUSTOM_PREVIEW_URL" : "미리보기 창에 표시되는 UI에 대한 URL. 이 항목은 마우스 풍선 창을 발견할 때 나타나는 사용자 정의 미리보기를 표시합니다. UI 미리보기 지원을 겹쳐씁니다.",
	"CUSTOM_PREVIEW_SHORTTITLE" : "사용자 정의 미리보기의 간단한 제목",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : "이 미리보기에 사용할 간단한 제목",
	"CUSTOM_PREVIEW_SIZE" : "사용자 정의 미리보기 크기",
	"DESC_CUSTOM_PREVIEW_SIZE" : "미리보기 창의 기본 높이 및 너비"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



