/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/th/QueryDatasets", {     
	"TITLE":"หัวเรื่อง",
	"DESCRIPTION":"คำอธิบาย",
	"OK":"ตกลง",
	"CANCEL":"ยกเลิก",
	"SELECT_A_DATASET":"เลือกชุดข้อมูล",
	"VISUALIZATION_SETTINGS":"การตั้งค่าการทำให้มองเห็น",
	"SEARCH_DESC":"ป้อนคำแล้วกด ค้นหา เพื่อดูชุดข้อมูล เมื่อต้องการดูทั้งหมด เพียงแค่กด ค้นหา:",
	"DATASET_DESC":"หลังจากค้นหาแล้ว เลือกชุดข้อมูลจากผลการค้นหาด้านล่างเพื่อดำเนินการต่อ:",
	"SEARCH":"ค้นหา",
	"SHOWALL":"แสดงทั้งหมด",
	"NO_DATASETS":"ไม่พบชุดข้อมูล",
	"DIVIDER_HEADING":"ผู้ให้บริการ: %0 > แหล่งข้อมูล: %1",
	"SELECTED_DATASET":"ชุดข้อมูลที่เลือก:",
	"CHANGE":"เปลี่ยนแปลง",
	"MAP_VISUAL_ATTRIBUTES":"แม็พแอ็ตทริบิวต์การทำให้มองเห็นกับคอลัมน์ของชุดข้อมูล:",
	"CONFIG_MANDATORY_PARAMS":"กำหนดคอนฟิกพารามิเตอร์ชุดข้อมูลที่บังคับ:",
	"CONFIG_OPTIONAL_PARAMS":"กำหนดคอนฟิกพารามิเตอร์ชุดข้อมูลที่เป็นทางเลือก:",
	"VISUALIZATION_OPTIONS":"อ็อพชันการทำให้มองเห็น:",
	"REQUIRED_SETTINGS":"การตั้งค่าที่จำเป็น",
	"OPTIONAL_SETTINGS":"การตั้งค่าที่เป็นทางเลือก",
	"DYNAMIC_UPDATES_YES":"สนับสนุนการรีเฟรชอัตโนมัติ",
	"DYNAMIC_UPDATES_NO":"ไม่มีการรีเฟรชอัตโนมัติ",
	"VIEW_TYPE":"ชนิดข้อมูล",
	"REMOTE_YES": "ผู้ให้บริการข้อมูลระยะไกล",
	"REMOTE_NO": "ผู้ให้บริการข้อมูลโลคัล",
	"MSGDIALOG_REQUIRED_ATTRIBUTE_MAPPING":"โปรดแม็พแอ็ตทริบิวต์การทำให้มองเห็นอย่างน้อยหนึ่งตัวกับคอลัมน์ของชุดข้อมูล",
	"MSGDIALOG_REQUIRED_DATASET_PARAMS":"โปรดกำหนดคอนฟิกพารามิเตอร์ชุดข้อมูลที่บังคับทั้งหมด",
	"MSGDIALOG_REQUIRED_DATASET_INVALID_PARAMS":"โปรดกำหนดคอนฟิกพารามิเตอร์ชุดข้อมูลที่บังคับทั้งหมดให้ถูกต้อง",
	"MSGDIALOG_OPTIONAL_DATASET_INVALID_PARAMS":"โปรดกำหนดคอนฟิกพารามิเตอร์ชุดข้อมูลที่เป็นทางเลือกทั้งหมดให้ถูกต้อง",	
	"NONE": 'ไม่มี',
	"NO_MAPPING_ATTRIBUTES": '<i>ไม่พบแอ็ตทริบิวต์การทำให้มองเห็นสำหรับการแม็พกับคอลัมน์ของชุดข้อมูล</i>',
	"NO_OPTIONS": '<i>ไม่พบอ็อพชันการทำให้มองเห็นสำหรับคอนฟิกูเรชันนี้</i>',
	"FOUND": "พบชุดข้อมูล",
	"NAME_UIPREVIEW": "เปิดใช้งานการแสดงตัวอย่าง",
	"DESC_UIPREVIEW": "การเลือกนี้จะเลือกใช้งานการแสดงตัวอย่าง UI สำหรับ Open Services สำหรับ Lifecycle Collaboration",
	"NAME_LAUNCHPAGE": "หน้าที่จะเริ่มต้นใช้งาน",
	"DESC_LAUNCHPAGE": "เลือกหน้าที่จะเริ่มต้นใช้งานเพื่อแสดงรายละเอียดของไอเท็มที่เลือก",
	"MULTI_SELECT_USAGE": "Shift+คลิก หรือลากเพื่อเลือกหลายไอเท็มพร้อมกัน Ctrl+คลิกเพื่อเลือกหลายไอเท็มที่ไม่ต่อเนื่องกันหรือเพื่อเลือกสลับไปมา",
	"LIST_INPUT_USAGE": "ใช้ Enter เพื่อแสดงว่าเป็นค่าสุดท้าย เมื่ออินพุตหลายค่า",
	"PRELIMINARY_DATA_FILTER": "ตัวกรองข้อมูลขั้นต้น",
	"DATA_FILTER_DESC": "ใช้ไอคอน 'Define Filter' ในตารางด้านล่างเพื่อเพิ่มตัวกรองข้อมูลขั้นต้น คุณสามารถดูตัวอย่างข้อมูลจากชุดข้อมูลที่เลือกในตาราง โดยใช้การกรองของคุณ",
	"CUSTOM_HELP_LABEL": "URL วิธีใช้แบบกำหนดเอง",
	"DESC_CUSTOM_HELP": "ให้ URL กับเพจวิธีใช้ที่จะถูกรวมสำหรับวิธีใช้ทั่วไปของวิดเจ็ตนี้",
	"HELP_TAB_USAGE" : "การใช้",
	"HELP_TAB_EDIT" : "การแก้ไข",
	"HELP_TAB_GENERAL" : "ทั่วไป",
	"STRING_TRANSLATION_DIALOG" : "คุณสมบัติการแปลสตริง",
	"STRING_TRANSLATION" : "การแปลสตริง:",
	"MODULE" : "โมดูล:",
	"BUNDLE_LOCATION" : "ตำแหน่งบันเดิล:",
	"KEY" : "คีย์:",
	"STRING_TRANSLATION_BUTTON" : "การแปลสตริง...",
	"DISABLED" : "ปิดใช้งาน",
	"ENABLED" : "เปิดใช้งาน",
	"SELECT_MODULE" : "เลือกโมดูลที่มีการแปล",
	"BUNDLE_LOCATION_HINT" : "คำแนะนำ: ป้อนตำแหน่งในรูปแบบ 'classes/com/ibm/isclite/portlet/nl/MyResource",
	"CUSTOM_PREVIEW_URL" : "URL แสดงตัวอย่างแบบกำหนดเอง  ",
	"DESC_CUSTOM_PREVIEW_URL" : "URL ที่แสดงในการแสดงตัวอย่าง รายการที่นี่แสดงการแสดงตัวอย่าง เมื่อตรวจพบเมาส์  แทนที่การสนับสนุนการแสดงตัวอย่าง UI",
	"CUSTOM_PREVIEW_SHORTTITLE" : " Short แสดงตัวอย่างแบบกำหนดเอง",
	"DESC_CUSTOM_PREVIEW_SHORTTITLE" : " ชื่อย่อจะถูกใช้สำหรับการแสดงตัวอย่างนี้",
	"CUSTOM_PREVIEW_SIZE" : " ขนาดแสดงตัวอย่างแบบกำหนดเอง",
	"DESC_CUSTOM_PREVIEW_SIZE" : " ความสูงและความกว้างดีฟอลต์ของหน้าต่างแสดงตัวอย่าง"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});



