/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2014.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/es/resources", {      
   "SEARCH_TEXT":"Búsqueda",
   "SAVE_TEXT":"Guardar personalizaciones",
   "PRINT_TEXT":"Imprimir",
   "SELECT_TEXT":"Seleccionar",
   "PAN_TEXT":"Enfocar",
   "ZOOM_SELECT_TEXT":"Selección de zoom",
   "ZOOM_IN_TEXT":"Acercar",
   "ZOOM_OUT_TEXT":"Alejar",
   "FIT_CONTENTS_TEXT":"Ajustar a contenido",
   "REFRESH_TEXT":"Renovar",
   "TOGGLE_LAYOUT_TEXT":"Alternar diseño",
   "TREE_LAYOUT":"Árbol",
   "HIERARCHICAL_LAYOUT":"Jerárquico",
   "FORCE_DIRECTED_LAYOUT":"Forzar dirigido",
   "GRID_LAYOUT":"Cuadrícula",
   "SHORT_LINK_LAYOUT":"Enlace corto",
   "LONG_LINK_LAYOUT":"Enlace largo",
   "CUSTOM":"Personalizado",
   "SAVE":"Guardar personalizaciones",
   "CANCEL":"Cancelar",
   "RESTORE_DEFAULTS":"Restaurar valores predeterminados",
   "LAYOUT_MODE":"Modalidad de diseño:",
   "FLOW_DIRECTION":"Dirección del flujo:",
   "LINK_STYLE":"Estilo de enlace global:",
   "CONNECTOR_STYLE":"Estilo de conector:",
   "GLOBAL_ALIGNMENT":"Alineación global:",
   "LEVEL_ALIGNMENT":"Alineación de nivel:",	
   "LEVEL_JUSTIFICATION":"Justificación de nivel:",
   "LEVELING_STRATEGY":"Estrategia de nivelado:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Alineación horizontal global:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Alineación vertical global:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Número máximo de nodos por fila o columna:",
   "PREFERRED_LINKS_LENGTH":"Longitud preferida de enlaces:",
   "LINK_STYLE":"Estilo de enlace:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Máximos movimientos permitidos por iteración:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Número permitido de iteraciones:",
   "CONVERGENCE_THRESHOLD":"Umbral de convergencia:",
   "GLOBAL_LINK_STYLE":"Estilo de enlace global:",
   "GLOBAL_SELF_LINK_STYLE":"Estilo de autoenlace global:",
   "GLOBAL_CONNECTOR_STYLE":"Estilo de conector global:",
   "LINK_OFFSET":"Desplazamiento de enlace:",
   "MIN_FINAL_SEGMENT_LENGTH":"Longitud mínima de segmento final:",
   "VERTICAL_MIN_OFFSET":"Desplazamiento vertical mínimo:",
   "HORIZONTAL_MIN_OFFSET":"Desplazamiento horizontal mínimo:",
   "ASPECT_RATIO":"Relación de aspecto:",
   "ALGORITHM":"Algoritmo:",
   "GENERAL":"General",
   "PROPERTIES":"Propiedades",
   "OK":"Aceptar",
   "TOPOLOGY_VIEW":"Vista de topología",
   "RESOURCE_VIEW":"Vista de recursos",
   "RELATIONSHIP_VIEW":"Vista de relaciones",
   "LINK_VIEW":"Vista de enlaces",
   "GET_ADOBE_FLASH_PLAYER":"Obtener Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Para ver este contenido, asegúrese de que el sistema cumple los <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>requisitos del sistema</a> y que está instalado Adobe&reg; Flash&reg; Player versión ${version} o superior.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Ninguno",
   "ITEM_REMOVED_MESSAGE":"Este elemento se ha eliminado del conjunto de datos.",
   "LINK_REMOVED_MESSAGE":"Este enlace se ha eliminado del conjunto de datos.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Esta relación se ha eliminado del conjunto de datos.",
   "ACTIONS":"Acciones",
   "PRINT_AS_BITMAP":"Imprimir como mapa de bits:",	   
   "PAGE_COUNT":"Número de páginas en anchura o altura:",	 
   "PAGE_COUNT_MAX":"Máximas páginas impresas:",	  
   "PAGE_MARGIN":"Margen de página:",
   "TYPE":"Tipo",
   "SOURCEITEM":"Desde",
   "TARGETITEM":"Hasta",
   "ITEM1":"Elemento 1",
   "ITEM2":"Elemento 2",
   "DATASET1":"Conjunto de datos 1",
   "DATASET2":"Conjunto de datos 2",
   "LOADING":"Cargando",
   "RESULTS_CLICK_TO_SELECT":"Resultados: pulse para seleccionar",
   "RESULTS":"Resultados",
   "NO_RESULTS_FOUND":"No se ha encontrado ningún resultado.",
   "CENTER_IN_VIEW":"Centrar en la vista",
   "HIGHLIGHT":"Resaltar",
   "CLEAR_SEARCH":"Borrar búsqueda",
   "DEPTH":"Profundidad",
   "LAYOUT":"Diseño",
   "ACTIONS":"Acciones",
   "SAVE_CANVAS_CONTEXT":"Guardar personalizaciones",
   "SAVE_CUSTOMIZATION_QUESTION":"Seguro que desea guardar todas las personalizaciones?",
   "TOGGLE_VIEW":"Alternar vista",
   "ALTERNATING_RADIAL":"radial alternativa",
   "AUTOMATIC":"automática",
   "BORDER_CENTER":"centrar borde",
   "BOTTOM":"abajo",
   "CENTER":"centro",
   "CENTERED":"centrada",
   "DIRECT":"directa",
   "EAST":"este",
   "EVENLY_SPACED":"separación homogénea",
   "FAST_MULTILEVEL":"multinivel rápida",
   "FIXED_OFFSET":"desplazamiento fijo",
   "FREE":"libre",
   "HIGHER_LEVELS":"niveles superiores",
   "INCREMENTAL":"incremental",
   "LEFT":"izquierda",
   "LEVEL":"nivel",
   "LOWER_LEVELS":"niveles inferiores",
   "MIXED":"mezclada",
   "NO_RESHAPE":"sin cambio de forma",
   "NON_INCREMENTAL":"no incremental",
   "NORTH":"norte",
   "OPTIMAL":"óptima",
   "ORTHOGONAL":"ortogonal",
   "POLYLINE":"polilínea",
   "RADIAL":"radial",
   "RIGHT":"derecha",
   "SEMI_OPTIMAL":"semióptima",
   "SOUTH":"sur",
   "SPREAD_OUT":"dispersar hacia afuera",
   "STRAIGHT":"recta",
   "THREE_BENDS_ORTHOGONAL":"ortogonal con tres dobleces",
   "TILE_TO_COLUMNS":"mosaico a columna",
   "TILE_TO_GRID_FIXED_HEIGHT":"mosaico a cuadrícula con altura fija",
   "TILE_TO_GRID_FIXED_WIDTH":"mosaico a cuadrícula con anchura fija",
   "TILE_TO_ROWS":"mosaico a fila",
   "TIP_LEAVES_OVER":"punta sobresale",
   "TIP_OVER_BOTH_SIDES":"punta sobresale en ambos lados",
   "TIP_OVER_EAST_WEST":"punta sobresale de este a oeste",
   "TIP_OVER_WEST":"punta sobresale en oeste",
   "TIP_OVER":"sobresale",
   "TIP_ROOTS_AND_LEAVES_OVER":"punta abajo y sobresale",
   "TIP_ROOTS_OVER":"punta sobresale por abajo",
   "TOP":"parte superior",
   "TWO_BENDS_ORTHOGONAL":"ortogonal con dos dobleces",
   "WEST":"oeste",
   "EXPORT":"Exportar",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exportar como imagen",
   "EXPORT_IMAGE_DIALOG_QUESTION":"¿Desea exportar el diagrama como una imagen? Elija el formato deseado a continuación.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Búsqueda avanzada",
   "RESOURCES_COUNT": "Recurso: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Relaciones: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Filtrados: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Seleccionados: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Todos",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Personalizar diseño: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Error",
   "PENDING":"Pendiente",
   "CLOSE":"Cerrar"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

