// wrapped by build app
define("ibm/tivoli/tip/navwidget/table/dijit/TableViewLinksTable", ["dijit","dojo","dojox","dojo/i18n!ibm/tivoli/tip/navwidget/nls/resources","dojo/require!dojo/data/ItemFileReadStore,ibm/tivoli/navmodel/DatasetItemsStore,ibm/tivoli/tip/navwidget/table/dijit/AbstractTableView,ibm/tivoli/tip/navwidget/table/dijit/NavModelTable,ibm/tivoli/tip/navwidget/table/dijit/LinksTableView"], function(dijit,dojo,dojox){
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2014 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
dojo.provide ("ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable");

dojo.require("dojo.data.ItemFileReadStore");    
dojo.require("ibm.tivoli.navmodel.DatasetItemsStore");

dojo.require ("ibm.tivoli.tip.navwidget.table.dijit.AbstractTableView");
dojo.require("ibm.tivoli.tip.navwidget.table.dijit.NavModelTable");
dojo.require("ibm.tivoli.tip.navwidget.table.dijit.LinksTableView");

dojo.requireLocalization("ibm.tivoli.tip.navwidget", "resources");

ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable._trace = new ibm.tivoli.navmodel.Trace("ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable");

// 40354: Use to insure TableView's links table is single select
dojo.declare ("ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable",
		ibm.tivoli.tip.navwidget.table.dijit.LinksTableView,
	{
	// summary:
	//		Coming soon
	// description:
	//		Coming soon
	
	//***************************
	// "Private"
	//***************************
	
	// _trace: [private] Trace
	//		Utility for trace and logging
	_trace: ibm.tivoli.tip.navwidget.table.dijit.TableViewLinksTable._trace,
	
	augmentGridParams: function(gridParams) {    
		// summary:
		//		Set up gridParams as needed
		// description:
		//		Modify the gridParams to set single selection

		gridParams.selectionMode = "single";
		return this.inherited(arguments);
	}
	
});

});
