/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/zh-cn/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "机架",
	HostAndVs : "主机和虚拟服务器",
	Network : "网络",
	Storage : "存储器",
	Favorites : "收藏夹",
	AllSystems : "所有系统",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "所有虚拟服务器",
	AllChasis : "所有机架",
	AllComputeNodes : "所有计算节点",
	AllStoragePools : "所有存储池",
	AllStorageNodes : "所有存储节点",
	AllLogicalNetworks: "所有逻辑网络",
	AllVlans : "所有 VLAN",
	AllSubnets : "所有子网",
	AllSwitches : "所有交换机",
	LogicalNetworks: "逻辑网络",
	Vlans : "VLAN",
	Subnets : "子网",
	Switches : "交换机",
	AllScalableSystems : "所有可伸缩系统",
	
	// Descriptions of dashbar icons
	ChassisDescription : "包含机架",
	HostAndVsDescription : "包含虚拟服务器和主机",	
	NetworkDescription : "包含所有网络系统",	
	StorageDescription : "包含所有存储系统",	
	FavoritesDescription : "包含收藏夹项目",	
	AllSystemsDescription : "包含可以管理的所有系统，其中包括服务器、机架、操作系统、交换机、刀片和存储系统",	
	
	// Group Health Tips
	RecentEvents : "最近事件：",
	NoRecentEvents : "没有最近事件",
	RecentAlerts : "最近警报：",
	NoRecentAlerts : "没有最近警报",
	Source : "源",
	DateAndTime : "日期和时间",
	Event : "事件",
	
	// General Dashbar
	ResourceDashboard : "资源仪表板",
	Loading : "正在装入..."
	//Dashboard Resources end
});

