/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2014 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/de/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "System oder Task suchen",
	NoTasksFound : "(Keine Tasks gefunden)",
	NoGroupsFound : "(Keine Gruppen gefunden)",
	NoResourcesFound : "(Keine Ressourcen gefunden)",
	Close : "Dialog schließen.",
	RefreshCache : "Aktualisiert vor {0} {1}. Aktualisieren, um neu hinzugefügte/geänderte Ressourcen in Ergebnisse einzuschließen.",
	Minutes : "Minute(n)",
	Hours : "Stunde(n)",
	Days : "Tag(e)",
	Searching0 : "Es wird gesucht. ",
	Searching1 : "Suche läuft...",
	Searching2 : "Suche wird durchgeführt...",
	FinderRefreshing : "Aktualisierung wird ausgeführt...",
	MoreTasks : "Grenzen Sie die Suchbegriffe ein, um mehr Ergebnisse zu erhalten.",
	MoreResources : "Alle anzeigen.",
	MoreGroups : "Grenzen Sie die Suchbegriffe ein, um mehr Ergebnisse zu erhalten.",
	FinderTaskMenu : "Tasks",
	FinderResourceMenu : "Ressourcen",
	FinderGroupMenu : "Gruppen",
	Chassis : "Gehäuse",
	Resources : "Ressourcen",
	FinderTooltipHelp : "Verwenden Sie diesen integrierten Finder, um nach allen Tasks und verwalteten Ressourcen zu suchen.",
	//tooltip
	FinderTooltipClickResources : "Klicken Sie auf diese Ressource, um weitere Details anzeigen zu lassen",
	FinderTooltipClickTask : "Wenn Sie hier klicken, öffnet sich ein neues Browserfenster und die Task wird gestartet.",
	FinderTooltipClickJob : "Klicken Sie hier, um diesen Job zu planen.",
	FinderTooltipClickUrl : "Wenn Sie hier klicken, öffnet sich ein neues Browserfenster und diese URL wird geladen.",
	FinderTooltipClickPage : "Klicken Sie hier, um diese Seite zu öffnen.",
	FinderTooltipClickDialog : "Klicken Sie hier, um diesen Dialog zu öffnen.",
	FinderTooltipClickGroup : "Klicken Sie auf diese Gruppe, um ihre Mitglieder anzeigen zu lassen",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "Kategorie: ",
	FinderTooltipExternalTask : "Externe Task: ",
	FinderTooltipJob : "Job: ",
	FinderTooltipUrl : "URL: ",
	FinderTooltipPage : "Seite: ",
	FinderTooltipDialog : "Dialog: ",
	FinderTooltipTaskDescription : "Beschreibung: ",
	SelectedResources : "{0} ausgewählte Ressourcen:",
	SelectedResource : "'{0}':",
	SelectedResourceText : "Kontextabhängige Aufgaben für {0}",
	GlobalTasksText : "Globale Tasks: ",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "Start",
	Dashboards : "Dashboards",
	GettingStarted : "Einführung",
	InitialSetup : "Erstkonfiguration",
	FlexExplorer : "Flex-Explorer",
	QuickStartGuides : "Leitfäden für den Schnelleinstieg",
	SummaryPages : "Übersichtsseiten",
	VMControl : "VMControl",
	StorageControl : "Storage Control",
	NetworkControl : "Network Control",
	ServiceAndSupport : "Service und Unterstützung",
	CheckForUpdates : "IBM&reg; FSM - Auf Aktualisierungen überprüfen",
	Systems : "Systeme",
	SystemsMenuHeading : "Systeme",
	AllGroups : "Alle Gruppen",
	AllOSs : "Alle Betriebssysteme",
	PowerSystemsManagement : "Power Systems-Verwaltung",
	Configuration : "Konfiguration",
	Patterns : "Muster",
	Firmware : "Firmware",
	ShowUpdates : "Aktualisierungen anzeigen",
	Discover : "Erkennen",
	DeployComputeNodeImages : "Server-Images implementieren",
	DeployVirtualAppliance : "Bereitstellen virtueller Einheiten",
	Monitor : "Überwachen",
	Status : "Status",
	ActiveStatus : "Aktiver Status",
	EventHistory : "Ereignisprotokoll",
	ServiceProblems : "Serviceprobleme",
	Monitoring : "Überwachung",
	Monitors : "Monitore",
	Thresholds : "Schwellenwerte",
	Compliance : "Konformität",
	MonitoredSystems : "Überwachte Systeme",
	Policies : "Richtlinien",
	Automation : "Automatisierung",
	Plans : "Pläne",
	Actions : "Aktionen",
	EventFilters : "Ereignisfilter",
	CommandDefinitions : "Befehlsdefinitionen",
	Jobs : "Jobs",
	ActiveAndScheduledJobs : "Aktive und geplante Jobs",
	CreateAutomationPlan : "Automationsplan erstellen",
	Security : "Sicherheit",
	Permissions : "Berechtigungen",
	UsersAndGroups : "Benutzer und Gruppen",
	Roles : "Rollen",
	Credentials : "Berechtigungsnachweis",
	Access : "Zugriff",
	SystemsWithNoAccess : "Systeme ohne Zugriff",
	Auditing : "Prüfung",
	AuditLog : "Prüfprotokoll",
	ChangePassword : "Kennwort ändern",
	CreateUser : "Benutzer erstellen",
	Utilities : "Dienstprogramme",
	Settings : "Einstellungen",
	AutoRename : "Automatisches Umbenennen",
	ServiceandSupport : "Service und Unterstützung",
	ServerAuditing : "Serverprüfung",
	Administration : "Verwaltung",
	FSMSettings : "IBM&reg; FSM-Einstellungen",
	Plugins : "Plug-ins",
	ApplicationExtensions : "Anwendungen",
	UserPreferences : "Benutzervorgaben",
	EventLog : "Ereignisprotokoll",
	ManagementServer : "Management-Server",
	NetworkManagement : "Netzmanagement",
	BackupAppliance : "Backup für IBM&reg; FSM durchführen",
	HelpMenu : "Hilfe",
	IntroductionToIBMFlexExplorer : "Einführung in IBM&reg; FSM-Explorer",
	FindingTasksInIBMFlexExplorer : "Tasks in IBM&reg; FSM-Explorer finden",
	Help : "Hilfe",
	About : "Produktinformationen",
	IBMSupport : "IBM&reg; Support",
	LiCTooltip : "Öffnen in {0}",
	Signout : "Abmelden",

	//General dialog labels
	OK : "OK",
	CANCEL : "Abbrechen",
	SUBMIT : "Abschicken",
        YES    : "Ja",
        NO     : "Nein",
	
	//Popup blocker warning
	PopupBlockerWarning : "Für diese Website ist ein Popup-Blocker aktiviert. Inaktivieren Sie den Popup-Blocker des Browsers für diese Website und versuchen Sie es erneut.",
	
	//ISC launched in tab pages warning
	LaunchedInTabs1 : "Die von Ihnen gestartete Task {0} befindet sich auf einer Browserregisterkarte, die von anderen Registerkarten verdeckt wird.",
	LaunchedInTabs2 : "Wählen Sie die Registerkarte aus oder verschieben Sie sie in ein separates Fenster, um mit der Task arbeiten zu können. Verwenden Sie ein separates Browserfenster für {0}, um diese Situation zukünftig zu vermeiden.",
	InvalidUser : "Benutzer {0} ist unbekannt. Wenn der Server gestartet wird, wiederholen Sie den Vorgang einige Minuten später.",
		
	UserNotAuthorized : "Der Benutzer ist zum Zugriff auf die Inhalte dieser Seite nicht berechtigt.",
	UserNotAuthorizedDescription: "Stellen Sie sicher, dass dem Benutzer eine Benutzerrolle mit passenden Berechtigungen zugeordnet ist.  Die Berechtigung zum Lesen von Gruppen und die Berechtigung für den Ressourcenexplorer sind mindestens erforderlich, um Seiten anzeigen zu können.",
	
	HybridDataset: "{0} Elemente befinden sich in der Gruppe. {1} wurden gefiltert, aber nur die ersten {2} werden angezeigt.",
	HybridDatasetDescription: "Verwenden Sie Suchen und Filtern, um Ihre Ergebnisse einzugrenzen.",
	HybridSummaryCounts: "Gesamt: {0}  Gefiltert: {1}  Verfügbar: {2}  Ausgewählt: {3}",
	
		//SSL Certification warning messages
	SSLCertExpiryTitle : "Das durch die {0}-Webschnittstelle bereitgestellte Sicherheitszertifikat ist am {1} abgelaufen.",
	SSLCertExpiryExplan : "Zertifikate weisen ein Ablaufdatum auf, nach dem das Zertifikat nicht mehr gültig ist.  Bei Ablauf des Zertifikats kann zwar noch auf die Webschnittstelle zugegriffen werden, jedoch werden die Benutzer, die auf die Webschnittstelle zugreifen, aufgefordert, dem abgelaufenen Zertifikat zu vertrauen.", 
	SSLCertExpiryResponse : "Verwenden Sie den Prozess <a href=\"\">unter diesem Link</a>, um das abgelaufene Zertifikat durch ein neues Zertifikat zu ersetzen.",
	SSLCertExpiryWarningTitle : "Das durch die {0}-Webschnittstelle bereitgestellte Sicherheitszertifikat läuft am {1} ab.",
		
		//NIST Compliant information messages
	NISTComplianceInfoTitle : "{0} unterstützt laut Konfiguration den NIST-Sicherheitsstandard SP800-131a (National Institute of Standards and Technology).",
	NISTComplianceInfoExplan : "Dieses System unterstützt laut Konfiguration den NIST-Standard SP 800-131A. Wenn sich das System in diesem Modus befindet, können nur die als <q/>zulässig<q/> aufgeführten Verschlüsselungstechnologien verwendet werden.", 
	NISTComplianceInfoResponse : "Weitere Informationen zu den Auswirkungen auf die Webschnittstelle erhalten Sie <a href=\"\">über diesen Link</a> im Information Center."		
});

