require({cache:{
'url:ibm/usmi/tasks/templates/ServiceSupportDialogTask.html':"<div class=\"${baseClass}\">\r\n<!--\r\n\r\nLicensed Materials - Property of IBM\r\n\r\n(C) Copyright IBM Corp. 2013 All Rights Reserved\r\n\r\nUS Government Users Restricted Rights - Use, duplicate or\r\ndisclosure restricted by GSA ADP Schedule Contract with\r\nIBM Corp.\r\n\r\n-->\r\n\t<div id=\"${id}_ConfirmText\" style=\"padding: 5px;\">\r\n\t\t${launchParms.confirmationText}\r\n\t\t<div style=\"border-top-width: 1px; padding: 5px 5px 5px 10px;\">\r\n\t\t\t${nls.textNode}</div>\r\n\t\t<div style=\"padding: 5px 5px 5px 10px;\">\r\n\t\t\t\t<input id=\"${id}_shortTextBox\" type=\"text\" name=\"_shortTextBox\" maxlength=\"100\" promptmessage=\"${nls.promptMessage}\" data-dojo-type=\"dijit.form.ValidationTextBox\" \r\n\t\t\t\tstyle=\"width: 800px;\" required=\"true\" />\r\n\t\t</div>\r\n\t\t<div style=\"padding: 5px 5px 5px 10px;\">\r\n\t\t\t${nls.longtextNode}</div>\r\n\t\t<div style=\"padding: 5px 5px 5px 10px;\">\r\n\t\t\t\t<textarea id=\"${id}_longTextBox\" type=\"text\" name=\"_longTextBox\" maxlength=\"500\" promptmessage=\"${nls.longPromptMessage}\" data-dojo-type=\"dijit.form.SimpleTextarea\" \r\n\t\t\t\trows=\"5\" cols=\"100\" style=\"width: 782px; height: 50px;\" required=\"true\"></textarea>\r\n\t\t</div>\r\n\t\t<div style=\"padding: 5px 5px 5px 10px;\">\r\n\t\t\t\t<button id=\"${id}_DialogOKButton\" data-dojo-type=\"dijit.form.Button\" data-dojo-attach-point=\"SubmitButton\" data-dojo-attach-event=\"onClick:onOK\" label=\"${nls.SUBMIT}\">${nls.SUBMIT}</button>\r\n\t\t\t\t<button id=\"${id}_DialogCancelButton\" data-dojo-type=\"dijit.form.Button\" data-dojo-attach-point=\"CancelButton\" data-dojo-attach-event=\"onClick:onCancel\" label=\"${nls.CANCEL}\">${nls.CANCEL}</button>\r\n\t\t</div>\r\n\t</div>\r\n</div>\r\n"}});
/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define(
		"ibm/usmi/tasks/ServiceSupportDialogTask", [
			"dijit/_WidgetBase",
			"dijit/_TemplatedMixin",
			"dijit/_WidgetsInTemplateMixin",
			"dijit/Dialog",
			"dijit/form/Button",
			"dojox/data/dom",
			"ibm/tivoli/navmodel/Trace",
			"ibm/tivoli/navmodel/Selection",
			"dojo/_base/array",
			"dojo/_base/declare",
			"dojo/_base/lang",
			"dojo/on",
			"dojo/topic",
			"dojo/dom-construct",
			"dojo/dom-style",
			"dojo/_base/window",
			"dijit/registry",
			"ibm/usmi/util/DefaultMessageHandler",
			"dijit/layout/ContentPane",
			"dojo/text!./templates/ServiceSupportDialogTask.html",
			"dojo/i18n!ibm/usmi/nls/defaultTaskResources"
		],

		function (_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _Dialog, _Button, dom, theTrace, _Selection,
				array, declare, lang, on, topic, construct, style, win, registry, DefaultMessageHandler, ContentPane,
				ServiceSupportDialog, defaultMRI) {

			//Create our widget!
			return declare(
					[
						_WidgetBase,
						_TemplatedMixin,
						_WidgetsInTemplateMixin
					],
					{
						templateString: ServiceSupportDialog,
						nls: defaultMRI,

						_task: null,
						_selectionName: null,
						_trace: new theTrace("ServiceSupportDialogTask"),
						baseClass: "ServiceSupportDialogTaskContent",
						taskID: null,
						dataset: null,
						taskparms: null,
						properties: null,
						launchParms: null,
						menuItem: null,
						context: null,
						

						postMixInProperties: function () {
							// summary:
							//      occurs before build rendering
							// description:
							//      need to define the confirmation text and set title for the template

							//set selection name
							this._selectionName = this.launchParms.dialogTitle;

							//set taskID
							this.taskID = this.menuItem.actionID;

							//set dataSet
							this.dataset = this.context.dataset;

							if (!(this.launchParms.confirmationText)) {
								this.launchParms.confirmationText = this.nls.confirmationText;
							}
							// Run any parent postCreate processes - can be done at any point
							this.inherited(arguments);
						},

						postCreate: function () {
							// summary:
							//      occurs after build rendering
							// description:
							//      gets the task
							
							var getTasksError = function (error, request) {
								this._navWidget.hideBusyPane();

								//Give the user some feedback
								this.displayException(error);
							};

							// Get the list of tasks, so can iterate through them and find the one needed to be launch on OK
							this.get("dataset").getTasks({
								onComplete: lang.hitch(this, this._findTaskForId),
								onError: lang.hitch(this, getTasksError),
								taskCategory: "menu", 
								selection: this.getSelection()
							});

							// Run any parent postCreate processes - can be done at any point
							this.inherited(arguments);

						},

						_findTaskForId: function (tasks) {
							// summary:
							//      Get the complete list of menu tasks, and find the one that matches the menu item that launched me, so I can use it when the user clicks OK.
							// description:
							//      This routine is recursive to handle the submenus

							var i = 0, task = null, subTasks = null;

							//Want to loop through tasks looking for
							if (tasks) {
								for (i = 0; i < tasks.length; i++) {
									task = tasks[i];
									// found our task.
									if (task.getId() === this.get("taskID")) {

										this._task = task;

										break;
									} else if (task.getChildTasks()) {
										// calls this method recursively if a submenu is found
										subTasks = task.getChildTasks();
										if (subTasks.length > 0) {
											this._findTaskForId(subTasks);
											if (this._task) {
												// stops iterating through submenu items when found
												break;
											}
										}
									}
								}
							}
						},

						//override the onCancel method to also destroy the whole widget.
						onCancel: function () {
							// summary:
							//		when you click cancel in the dialog box
							topic.publish("DefaultDialogDismissal", []);
							this.inherited(arguments);

						},

						//override the onCancel method to also destroy the whole widget.
						onOK: function () {
							// summary:
							//		when you click submit this occurs
							var lt = registry.byId(this.id + "_longTextBox").value,
							st = registry.byId(this.id + "_shortTextBox").value;
							if (lt === null || lt === "" || st === null || st === "")
								return;

							var taskParms = {
								problemDetails: registry.byId(this.id + "_longTextBox").value,
								problemDescription: registry.byId(this.id + "_shortTextBox").value
							};
							this._task.execute({
								onError: lang.hitch(this, this._handleExecuteOnServerError),
								onComplete: lang.hitch(this, this._getExecuteComplete),
								selection: this.getSelection(),
								selectionParms: taskParms,
								sync: true
							});

							this.destroy();
							topic.publish("DefaultDialogDismissal", []);
							this.inherited(arguments);
						},

						getSelection: function () {
							// summary:
							//		return the selected items, links, and relationships
							var selectedThings = this.context.selection, currentSelection = null;
							if (selectedThings) {
								currentSelection = new _Selection({
									version: this.get("dataset").getVersion()
								});
								currentSelection.addItems(selectedThings.getItemIds());
								currentSelection.addLinks(selectedThings.getLinkIds());
								currentSelection.addRelationships(selectedThings.getRelationshipIds());
							}
							return currentSelection;
						},

						_getExecuteComplete: function (result, arg) {
							//Currently this function doesn't work due to server side has implemented a kickback to complete
							/*
							// summary:
							//		Launch Message Handler successful message when task gets completed
							var r = result, a = arg, moduleName = "_getExecuteComplete",
							// TODO:  Consider how to add a link to the job details in the message -- based on the job ID....r.JobId
							theMessageTitle = this._selectionName, msgDesc = "";

							// Display the message...
							var msgHandler = new DefaultMessageHandler();
							var msgId = ""; // not specifying a message ID
							var msgSeverity = DefaultMessageHandler.SUCCESS;
							// Server side has not been implemented yet
							msgHandler.displayMessage(msgId, msgSeverity, theMessageTitle, msgDesc, true);*/
						},

						_handleExecuteOnServerError: function (error, exception, ioArgs) {
							// summary:
							//		Launch Message Handler error message if an error occurs
							var err = error, exc = exception, moduleName = "_handleExecuteOnServerError", theMessageTitle = this._selectionName, theMessageDesription = exc
									.getMsgText();

							if (this.DefaultConfirmationLogger.error()) {
								this.DefaultConfirmationLogger.error(
										"ServiceSupportDialogTask:  Failed to launch service and support request: ",
										moduleName);
								this.DefaultConfirmationLogger.error(
										"ServiceSupportDialogTask:  The error received is:  " + err, moduleName);
								this.DefaultConfirmationLogger.error("ServiceSupportDialogTask:  The exception is:  "
										+ exc, moduleName);
							}

							// Display the message...
							var msgHandler = new DefaultMessageHandler();
							var msgId = ""; // not specifying a message ID
							var msgSeverity = DefaultMessageHandler.ERROR;
							msgHandler.displayMessage(msgId, msgSeverity, theMessageTitle, theMessageDesription, true);
						}

					});

		});
