require({cache:{
'url:idx/form/mobileTemplates/Spinner.html':"<div id=\"widget_${id}\" class=\"dijitInline dijitReset dijitLeft idxComposite idxNumberSpinnerWrap\"\r\n\t><div class=\"idxLabel dijitInline dijitHidden\"  dojoAttachPoint=\"labelWrap\"\r\n\t\t><span class=\"idxRequiredIcon\">*&nbsp</span\r\n\t\t><label dojoAttachPoint=\"compLabelNode\"></label\r\n\t></div\r\n\t><div class=\"idxCompositeField dijitInline\" dojoAttachPoint=\"fieldWrap\"\r\n\t\t><div class=\"dijitReset idxCompositeHelpContainer\" dojoAttachPoint=\"helpContainer\">\r\n\t\t\t<div class='dijitInline idxHelpIcon'>\r\n\t\t\t\t<span class='idxHelpIconAltText'>?</span>\r\n\t\t\t</div>\r\n\t\t\t<span dojoAttachPoint=\"helpMessage\"></span>\r\n\t\t</div\r\n\t\t><div dojoAttachPoint='stateNode,oneuiBaseNode' class=\"dijitInline dijitReset dijitInlineTable dijitLeft\" role=\"presentation\" \r\n\t\t\t><div class=\"dijitReset dijitInline dijitUpArrowButton\" dojoAttachPoint=\"upArrowNode\"\r\n\t\t\t\t><span class=\"dijitReset\" tabIndex=\"-1\" readonly=\"readonly\" role=\"presentation\" ${_buttonInputDisabled} >+</span\r\n\t\t\t></div\r\n\t\t\t><div class=\"dijitReset dijitInline idxSpinnerContainer\"\r\n\t\t\t\t><input class='idxTextBoxInput' dojoAttachPoint=\"textbox,focusNode,inputNode\" type=\"${type}\" dojoAttachEvent=\"onkeypress:_onKeyPress\" role=\"spinbutton\" autocomplete=\"off\" ${!nameAttrSetting}\t/\r\n\t\t\t></div\r\n\t\t\t><div class=\"dijitReset dijitInline dijitDownArrowButton\" dojoAttachPoint=\"downArrowNode\" \r\n\t\t\t\t><span class=\"dijitReset\" tabIndex=\"-1\" readonly=\"readonly\" role=\"presentation\" ${_buttonInputDisabled}>-</span\r\n\t\t\t></div\r\n\t\t></div\r\n\t\t><div class='dijitReset idxValidationContainer'>\r\n\t\t\t<div class=\"idxValidationIcon dijitInline\">\r\n\t\t\t\t<span class=\"dijitReset idxValidationInner\" tabIndex=\"-1\" readonly=\"readonly\" role=\"presentation\">&#935; </span>\r\n\t\t\t</div>\r\n\t\t\t<span dojoAttachPoint=\"validationMessage\"></span>\r\n\t\t</div\r\n\t></div\r\n\t><div id=\"${id}_unit\" class=\"idxUnit dijitInline dijitHidden\" dojoAttachPoint=\"compUnitNode\"></div\r\n></div>\r\n"}});
define("idx/form/plugins/mobile/NumberSpinnerPlugin", [
	"dojo/_base/declare",
	"dojo/_base/lang",
	"dojo/_base/array",
	"dojo/dom-style",
	"dojo/on",
	"dojo/text!idx/form/mobileTemplates/Spinner.html",
	"dijit/typematic"
], function(declare, lang, array, domStyle, on, template, typematic){
	
	lang.mixin(typematic, {
		addListener: function(/*Node*/ mouseNode, /*Node*/ keyNode, /*Object*/ keyObject, /*Object*/ _this, /*Function*/ callback, /*Number*/ subsequentDelay, /*Number*/ initialDelay, /*Number?*/ minDelay){
			var handles = [
				this.addTouchListener(mouseNode, _this, callback, subsequentDelay, 100, minDelay),
				this.addKeyListener(keyNode, keyObject, _this, callback, subsequentDelay, initialDelay, minDelay),
				this.addMouseListener(mouseNode, _this, callback, subsequentDelay, initialDelay, minDelay)
			];
			return { remove: function(){
				array.forEach(handles, function(h){
					h.remove();
				});
			} };
		},
		addTouchListener: function(/*DOMNode*/ node, /*Object*/ _this, /*Function*/ callback, /*Number*/ subsequentDelay, /*Number*/ initialDelay, /*Number?*/ minDelay){
			var handles = [
				on(node, "touchstart", lang.hitch(this, function(evt){
					evt.preventDefault();
					typematic.trigger(evt, _this, node, callback, node, subsequentDelay, initialDelay, minDelay);
				})),
				on(node, "touchend", lang.hitch(this, function(evt){
					if(this._obj){
						evt.preventDefault();
					}
					typematic.stop();
				}))
			];
			return { remove: function(){
				array.forEach(handles, function(h){
					h.remove();
				});
			} };
		}
	});
	return declare("idx.form.plugins.mobile.NumberSpinnerPlugin", null, {
		
		templateString: template,
		
		//instantValidate: true,
		
		displayMessage: function(spinner, message){
			spinner.validationMessage.innerHTML = message;
		},
		setHelpAttr: function(spinner, helpText){
			spinner._set("help", helpText);
			if(spinner.helpContainer){
				domStyle.set(spinner.helpContainer, "display", helpText ? "block": "none");
				spinner.helpMessage.innerHTML = helpText;
			}
		},
		isFocusable: function(){
			return false;
		},
		arrowPressed: function(spinner, nodePressed, direction, increment){
			if(spinner.disabled || spinner.readOnly){
				return;
			}
			spinner._setValueAttr(spinner.adjust(spinner.get('value'), direction * increment), false);
		}
	})
});
